/* symresolve_aggregator.c - register symbol resolution implementation with aggregator */

/*
 * Copyright (c) 2011-2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#include <cafe/ep/aggregator.h>
#include "symresolve_actions.h"

static const struct symresolve_functions symresolve_funcs = {
	symresolve_actions_create,
	symresolve_actions_delete,
	symresolve_set_symindex,
	symresolve_set_lineinfoindex,
	symresolve_set_errhandler,
	symresolve_actions_reset,
	symresolve_mm_update,
	symresolve_mm_delta,
	symresolve_mm_flush,
	symresolve_address_space_clone,
	symresolve_address_space_clear,
	symresolve_address_space_delete,
	symresolve_mm_current_gen,
	symresolve_callstack,
	symresolve_mm_gen_delta,
	symresolve_mm_clear_delta
};

void symresolve_aggregator_ini(void)
{
	aggregator_symresolve_register(&symresolve_funcs);
}
