/* tcf_utils.h - convenience routines for TCF-enabled clients */

/*
 * Copyright (c) 2011-2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#if !defined(__tcf_utils_h)
#define __tcf_utils_h


#include <tcf/framework/events.h>


#if defined(__cplusplus)
extern "C" {
#endif


/**
 * Has the same effect as a call to post_event(), except this routine only
 * returns only after the given callback has completed.
 */
extern void post_event_sync(EventCallBack *handler, void *arg);


extern void cafe_post_event_sync(EventCallBack *handler, void *arg);


extern void tcf_add_pathmap(const char *source, const char *destination);


#if defined(__cplusplus)
}
#endif	/* __cplusplus */

#endif /* __tcf_utils_h */
