# Source this Bash shell script.
#
# It puts the binaries on your PATH.
#
# Note: this script only works if you source it in the top of the tree.

function update_path() {
    local hname=`uname -n`
    local mname=`uname -m`
    local compiler_vendor=gnu
    local build_type=${CMAKE_BUILD_TYPE:=Release}
    local build_dir=""
    if [ ! -z "${CPATH}" ];
    then
	compiler_vendor=intel
    fi
    build_type=`echo ${build_type} | tr '[A-Z]' '[a-z]'`
    if [ ! -z "${BUILD_DIR_TOP}" ];
    then
	build_dir=${BUILD_DIR_TOP}/obj/${hname}-${build_type}-${compiler_vendor}-${mname}
    else
	build_dir=$PWD/obj/${hname}-${build_type}-${compiler_vendor}-${mname}
    fi
    export PATH=${build_dir}/bin:$PATH
    echo "Adding ${build_dir}/bin to your PATH"
}

update_path
