/* An Interned String. */

/*
 * Copyright (c) 2011,2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#ifndef INCistr_h
#define INCistr_h

#include <stdlib.h>
#include <cafe/hashtbl.h>
#include <cafe/allocator.h>

#ifdef __cplusplus
extern "C" {
#endif

/* An interned string (aka string atom). */

struct istr {
	size_t len;
	const char *str;
};

extern int istr_hashtbl_equals(const void *a, const void *b);
extern unsigned long istr_hashtbl_hash(const void *a);
extern struct istr *istrn_alloc(const char *str, size_t len, const struct cafe_allocator *allocator);
extern void istr_free(struct istr *str, const struct cafe_allocator *allocator);
extern struct istr *istr_intern(struct cafe_hashtbl *strtbl, const char *str, size_t len, const struct cafe_allocator *allocator);

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* INCistr_h */
