/*
 * Copyright (c) 2011,2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#ifndef INCparser_h
#define INCparser_h

#include <cafe/list.h>
#include "lexer.h"

#ifdef __cplusplus
extern "C" {
#endif

#define PARSER_LIST_ENTRY(PTR) \
	CAFE_LIST_ENTRY((PTR), struct parser, list_item)

/* Think of this as a compilation unit. */

struct parser {
	char *filename;
	struct cafe_type_compiler *compiler;
	struct pt_node *root;
	struct lexer lexer;
	struct cafe_list_head list_item; /* list of compilation units. */
};

/* Signatures for Lemon based functions. */
extern void cafe_type_parserTrace(FILE *TraceFILE, char *zTracePrompt);
extern void *cafe_type_parserAlloc(void *(*mallocProc)(size_t));
extern void cafe_type_parserFree(void *p, void (*freeProc)(void *));
extern void cafe_type_parser(void *yyp, int yymajor, struct token yyminor, struct parser *P);

extern struct parser *parser_alloc(struct cafe_type_compiler *compiler, const char *filename);
extern int parser_parsefile(struct cafe_type_compiler *c, const char *filename);

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* INCparser_h */
