/*
 * Copyright (c) 2011,2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#ifndef INCtoken_h
#define INCtoken_h

#ifdef __cplusplus
extern "C" {
#endif

/* These need to start after the last token defined in grammar.h. */
#define TK_EOF			200
#define TK_ILLEGAL		201
#define TK_SCANNER_BUF_ERR	202
#define TK_SCANNER_NO_TOKEN	203

struct src_loc {
	const char *filename;
	unsigned int lineno;
	unsigned int column;
};

struct token {
	unsigned int id;	/* TK_<id>. */
	struct src_loc loc;	/* token location */
	const char *name;	/* token name */
	struct istr *istr;	/* content */
};

#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* INCtoken_h */
