/* atomic_vxw.h - atomic shims based on VxWorks' functions. */

/*
 * Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#ifndef INCatomic_vxw_h
#define INCatomic_vxw_h

#ifdef __cplusplus
extern "C" {
#endif

extern cafe_atomic_val vxAtomicAdd(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomicAnd(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomicDec(cafe_atomic_val *target);
extern cafe_atomic_val vxAtomicInc(cafe_atomic_val *target);
extern cafe_atomic_val vxAtomicNand(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomicOr(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomicSub(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomicXor(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomicClear(cafe_atomic_val *target);
extern cafe_atomic_val vxAtomicGet(volatile cafe_atomic_val *target);
extern cafe_atomic_val vxAtomicSet(volatile cafe_atomic_val *target, cafe_atomic_val value);
extern bool vxAtomicCas(volatile cafe_atomic_val *target, cafe_atomic_val oldValue, cafe_atomic_val newValue);

extern cafe_atomic_val vxAtomic64Add(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomic64And(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomic64Dec(cafe_atomic_val *target);
extern cafe_atomic_val vxAtomic64Inc(cafe_atomic_val *target);
extern cafe_atomic_val vxAtomic64Nand(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomic64Or(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomic64Sub(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomic64Xor(cafe_atomic_val *target, cafe_atomic_val value);
extern cafe_atomic_val vxAtomic64Clear(cafe_atomic_val *target);
extern cafe_atomic_val vxAtomic64Get(volatile cafe_atomic_val *target);
extern cafe_atomic_val vxAtomic64Set(volatile cafe_atomic_val *target, cafe_atomic_val value);
extern bool vxAtomic64Cas(volatile cafe_atomic_val *target, cafe_atomic_val oldValue, cafe_atomic_val newValue);

#ifdef _cplusplus
}
#endif /* __cplusplus */

#endif /* INCatomic_vxw_h */
