/* Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/* Implementations of OS primitives for Windows. */

#if CAFE_OS_WINDOWS

#include <stdio.h>
#include <stdlib.h>
#include "cafe_assert.h"

void __cafe_assert_rtn(const char *expr, const char *file, int line, const char *msg)
{
	const char *str = msg ? msg : expr;
	fprintf(stderr, "%s:%d: Assertion `%s' failed\n", file, line, str);
	abort();
}

#endif	/* CAFE_OS_WINDOWS */
