/*
 * Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#ifndef INCcafe_os_h
#define INCcafe_os_h

#if defined(HAVE_CAFE_CONFIG_H)
#include <cafe/config.h>
#endif

#ifdef __APPLE__
#define clock_gettime cafe_clock_gettime
#endif

extern int cafe_lock_init(void);

/*
 * We don't guess at which OS we're building for in case we are cross
 * compiling.  One of CAFE_OS_{WINDOWS,VXWORKS,UNIX} must be defined
 * as part of the build flags.
 */

#if CAFE_OS_WINDOWS
#include "cafe_os_windows.h"
#define CAFE_OS_VXWORKS 0
#define CAFE_OS_UNIX 0
#endif

#if CAFE_OS_VXWORKS
#include "cafe_os_vxworks.h"
#define CAFE_OS_WINDOWS 0
#define CAFE_OS_UNIX 0
#endif

#if CAFE_OS_UNIX
#define CAFE_OS_WINDOWS 0
#define CAFE_OS_VXWORKS 0
#include "cafe_os_unix.h"
#endif

#endif  /* INCcafe_os_h */
