/* Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/* Implementations of OS primitives for Windows. */

#if CAFE_OS_WINDOWS

#include "cafe_os.h"
#include <cafe/cafe.h>
#include <cafe/ccdiff.h>
#include <stdio.h>
#include <process.h>
#include <fcntl.h>
#include <time.h>
#include "cafe_assert.h"
#include "cafe_trace.h"

int getpagesize(void)
{
	return 4096;
}

int cafe_sched_yield(void)
{
	/* Causes the calling thread to yield execution to another
	 * thread that is ready to run on the current processor. The
	 * operating system selects the next thread to be executed. */
#if _MSC_VER < 1500
	Sleep(0);
#else
	SwitchToThread();
#endif
	return 0;
}

#endif	/* CAFE_OS_WINDOWS */
