/* log_buffer_diagnostics.h -  */

/* Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

#if !defined(__log_buffer_diagnostics_h)
#define __log_buffer_diagnostics_h

#if defined(__cplusplus)
extern "C" {
#endif


#include <cafe/log_buffer.h>


/**
 *  Emit the most basic statistics of the given log buffer to stdout.
 */
extern void cafe_dump_log_header(const struct cafe_log_buf *log);


/**
 *  Emit the byte-by-byte contents of the given log buffer to stdout.
 */
extern void cafe_dump_log_contents(const struct cafe_log_buf *log);


/**
 *  Emit everything we know about the given log buffer to stdout.
 */
extern void cafe_dump_log(const struct cafe_log_buf *log);


/**
 *  Run basic sanity checks, returning false iff we can see for a fact the
 * given log is invalid.
 */
extern bool cafe_log_validate(const struct cafe_log_buf *const log);

#if defined(__cplusplus)
}	/* extern "C" */
#endif

#endif  /* if !defined(__log_buffer_diagnostics_h) */
