/* Copyright (c) 2010-2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/* Implementations of OS primitives for Windows. */

#include "cafe_os.h"
#include "time_utils.h"

#define NANOS_PER_MILLI (NSECS_PER_SEC / MILLIS_PER_SEC)

static
unsigned long long timespec_to_milliseconds(const struct timespec *tp)
{
	unsigned long long v;
	v = tp->tv_sec * MILLIS_PER_SEC;
	v += tp->tv_nsec / NANOS_PER_MILLI;
	return v;
}

int nanosleep(struct timespec *tp, struct timespec *rmtp)
{
	Sleep((DWORD)timespec_to_milliseconds(tp));
	return 0;
}
