# - Find UUID library
#
#  UUID_FOUND - system has UUID
#  UUID_INCLUDE_DIRS - the UUID include directory
#  UUID_LIBRARIES - Link these to use UUID

if(UUID_INCLUDE_DIR)
  # Already in cache, be silent
  set(UUID_FIND_QUIETLY TRUE)
endif()

find_path(UUID_INCLUDE_DIR
  NAMES
  uuid/uuid.h)

find_library(UUID_LIBRARY
  NAMES
  uuid)

# handle the QUIETLY and REQUIRED arguments and set UUID_FOUND to TRUE
# if all listed variables are TRUE

include(FindPackageHandleStandardArgs)
find_package_handle_standard_args(UUIDLIB DEFAULT_MSG UUID_LIBRARY UUID_INCLUDE_DIR)

if(UUIDLIB_FOUND)
  set(UUIDLIB_LIBRARIES ${UUID_LIBRARY})
else()
  set(UUIDLIB_LIBRARIES)
endif()
