;; Add this to your .emacs[.el] file.

(c-add-style
;;; (arglist-intro . c-lineup-arglist-intro-after-paren)
;;; (arglist-close . c-lineup-close-paren)
 "vxworks" 
 '("vxworks-c"
   (c-tab-always-indent           . t)
   (c-hanging-comment-ender-p     . nil)
   (c-hanging-braces-alist        . ((block-open after before)
                                     (brace-list-open)))
   (c-hanging-colons-alist        . ((member-init-intro . *)
                                     (inher-intro)
                                     (case-label after)
                                     (label after)
                                     (access-key after)))
   (c-cleanup-list                . (scope-operator
                                     space-before-funcall
                                     empty-defun-braces
                                     defun-close-semi))
   (c-offsets-alist               . ((statement-block-intro . 0)
                                     (access-label          . /)
                                     (member-init-intro     . *)
                                     (defun-open            . 4)
                                     (defun-block-intro     . 0)
                                     (arglist-close         . 0)
                                     (arglist-intro         . 0)
                                     (class-open            . 4)
                                     (statement-case-intro  . 4)
                                     (statement-case-open   . 4)
                                     (class-close           . 4)
                                     (inclass               . 0)
                                     (topmost-intro-cont    . 4)))))

(c-add-style
 "phoenix-header-file" 
 '("linux"
   (indent-tabs-mode t)
   (c-tab-always-indent  . t)
   (c-offsets-alist      . ((topmost-intro-cont . +)
                            (arglist-close      . 0)
                            (inextern-lang      . 0)
                            (arglist-intro      . 0)))))

(c-add-style
 "phoenix-source-file" 
 '("linux"
   (indent-tabs-mode t)
   (c-tab-always-indent . t)))

;; The order here is significant. Most specific to least.
(setq phoenix/source-styles
      '(("phoenix" "phoenix-source-file")))

;; The order here is significant. Most specific to least.
(setq phoenix/header-styles
      '(("phoenix" "phoenix-header-file")))

(defun phoenix/set-c-style (filename styles)
  (interactive)
  (ignore-errors
    (mapc (lambda (elem)
            (if (string-match (car elem) filename)
                (progn
                  (c-set-style (cadr elem))
                  (return))))
          styles)))
  
(defun phoenix/select-c-style (filename)
  (interactive)
  (let ((full-name (expand-file-name filename)))
    (if (string-match ".c$" full-name)
	(phoenix/set-c-style full-name phoenix/source-styles)
      (if (string-match ".h$" full-name)
	  (phoenix/set-c-style full-name phoenix/header-styles)))))

(setq c-mode-hook nil)

(add-hook 'c-mode-hook
	  (lambda ()
            (define-key c-mode-base-map "\C-m" 'c-context-line-break)
	    (phoenix/select-c-style (buffer-file-name))
	    (message "c-indentation-style is %s" c-indentation-style)))

(add-hook 'c-mode-hook 'cscope-minor-mode)
