#!/bin/bash
#
# Source this Bash shell script.
#
# It puts the cafe-* binaries on your PATH.
#
# Note: this script only works if you source it in the top of the
# phoenix tree.

function update_path() {
    if [ "${HNAME}" != "" ]; then
	local hname=${HNAME}
    else
	local hname=`uname -n`
    fi
    if [ "${MNAME}" != "" ]; then
	local mname=${MNAME}
    else
	local mname=`uname -m`
    fi
    local compiler_vendor=gnu
    local build_type=${CMAKE_BUILD_TYPE:=Release}
    local build_dir=${BUILD_DIR_TOP:=obj}
    if [ ! -z "${CPATH}" ]; then
	compiler_vendor=intel
    fi
    build_type=`echo ${build_type} | tr '[A-Z]' '[a-z]'`
    if [ "${build_dir}" == "obj" ]; then
	build_dir=$PWD/obj/${hname}-${build_type}-${compiler_vendor}-${mname}
    else
	build_dir=${BUILD_DIR_TOP}/${hname}-${build_type}-${compiler_vendor}-${mname}
    fi
    export PATH=${build_dir}/bin:$PATH
    echo "Adding ${build_dir}/bin to your PATH"
}

update_path
