/* Copyright (c) 2014 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/*
modification history
--------------------
09sep14,wzc  support arm hpc events.(US17715)
28mar14,sdt  fixed build issue in tcf-tools env.
13mar14,wzc  support arm hpc(US17715)
*/

/*
DESCRIPTION
*/

#include <stdlib.h>
#include <string.h>

#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include <hpc/drv_evt_cfg/hpcDrvEvtCfg.h>
#include <hpc/drv_evt_cfg/arm/armCtxA15EvtCfg.h>
#include <cafe/autogenerated/hpc_common.type.h>
#include <cafe/autogenerated/hpc_arm_ctxa15.type.h>

/* all events are listed in DDI0438I_cortex_a15_r4p0_trm.pdf chapter 11.6  */
struct armEventDescription hpcDrvEvtDescArmCtxA15[] = {
    {hpc_arm_cortex_a15_SW_INCR_VT_DEF, {10000}, {0x00, 0x7fffffff}},
    {hpc_level_1_instruction_cache_miss_VT_DEF, {10000}, {0x1, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1I_TLB_REFILL_VT_DEF, {10000}, {0x02, 0x7fffffff}},
    {hpc_level_1_data_cache_miss_VT_DEF, {10000}, {0x03, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_VT_DEF, {10000}, {0x04, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_TLB_REFILL_VT_DEF, {10000}, {0x05, 0x7fffffff}},
    {hpc_total_instructions_VT_DEF, {500000}, {0x08, 0x7fffffff}},
    {hpc_interrupts_taken_VT_DEF, {1000}, {0x09, 0x7fffffff}},
    {hpc_arm_cortex_a15_EXC_RETURN_VT_DEF, {10000}, {0x0a, 0x7fffffff}},
    {hpc_arm_cortex_a15_CID_WRITE_RETIRED_VT_DEF, {10000}, {0x0b, 0x7fffffff}},
    {hpc_arm_cortex_a15_BR_MIS_PRED_VT_DEF, {10000}, {0x10, 0x7fffffff}},
    {hpc_total_cycles_VT_DEF, {1000000}, {0x11, 0x80000000}},
    {hpc_arm_cortex_a15_BR_PRED_VT_DEF, {10000}, {0x12, 0x7fffffff}},
    {hpc_arm_cortex_a15_MEM_ACCESS_VT_DEF, {10000}, {0x13, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1I_CACHE_VT_DEF, {10000}, {0x14, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_WB_VT_DEF, {10000}, {0x15, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_VT_DEF, {10000}, {0x16, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_REFILL_VT_DEF, {10000}, {0x17, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_WB_VT_DEF, {10000}, {0x18, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_ACCESS_VT_DEF, {10000}, {0x19, 0x7fffffff}},
    {hpc_arm_cortex_a15_MEMORY_ERROR_VT_DEF, {10000}, {0x1a, 0x7fffffff}},
    {hpc_arm_cortex_a15_INST_SPEC_VT_DEF, {10000}, {0x1b, 0x7fffffff}},
    {hpc_arm_cortex_a15_TTBR_WRITE_RETIRED_VT_DEF, {10000}, {0x1c, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_CYCLES_VT_DEF, {10000}, {0x1d, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_LD_VT_DEF, {10000}, {0x40, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_ST_VT_DEF, {10000}, {0x41, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_REFILL_LD_VT_DEF, {10000}, {0x42, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_REFILL_ST_VT_DEF, {10000}, {0x43, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_WB_VICTIM_VT_DEF, {10000}, {0x46, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_WB_CLEAN_VT_DEF, {10000}, {0x47, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_CACHE_INVAL_VT_DEF, {10000}, {0x48, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_TLB_REFILL_LD_VT_DEF, {10000}, {0x4c, 0x7fffffff}},
    {hpc_arm_cortex_a15_L1D_TLB_REFILL_ST_VT_DEF, {10000}, {0x4d, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_LD_VT_DEF, {10000}, {0x50, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_ST_VT_DEF, {10000}, {0x51, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_REFILL_LD_VT_DEF, {10000}, {0x52, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_REFILL_ST_VT_DEF, {10000}, {0x53, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_WB_VICTIM_VT_DEF, {10000}, {0x56, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_WB_CLEAN_VT_DEF, {10000}, {0x57, 0x7fffffff}},
    {hpc_arm_cortex_a15_L2D_CACHE_INVAL_VT_DEF, {10000}, {0x58, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_ACCESS_LD_VT_DEF, {10000}, {0x60, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_ACCESS_ST_VT_DEF, {10000}, {0x61, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_ACCESS_SHARED_VT_DEF, {10000}, {0x62, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_ACCESS_NOT_SHARED_VT_DEF, {10000}, {0x63, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_ACCESS_NORMAL_VT_DEF, {10000}, {0x64, 0x7fffffff}},
    {hpc_arm_cortex_a15_BUS_ACCESS_PERIPHERAL_VT_DEF, {10000}, {0x65, 0x7fffffff}},
    {hpc_arm_cortex_a15_MEM_ACCESS_LD_VT_DEF, {10000}, {0x66, 0x7fffffff}},
    {hpc_arm_cortex_a15_MEM_ACCESS_ST_VT_DEF, {10000}, {0x67, 0x7fffffff}},
    {hpc_arm_cortex_a15_UNALIGNED_LD_SPEC_VT_DEF, {10000}, {0x68, 0x7fffffff}},
    {hpc_arm_cortex_a15_UNALIGNED_ST_SPEC_VT_DEF, {10000}, {0x69, 0x7fffffff}},
    {hpc_arm_cortex_a15_UNALIGNED_LDST_SPEC_VT_DEF, {10000}, {0x6a, 0x7fffffff}},
    {hpc_arm_cortex_a15_LDREX_SPEC_VT_DEF, {10000}, {0x6c, 0x7fffffff}},
    {hpc_arm_cortex_a15_STREX_PASS_SPEC_VT_DEF, {10000}, {0x6d, 0x7fffffff}},
    {hpc_arm_cortex_a15_STREX_FAIL_SPEC_VT_DEF, {10000}, {0x6e, 0x7fffffff}},
    {hpc_arm_cortex_a15_LD_SPEC_VT_DEF, {10000}, {0x70, 0x7fffffff}},
    {hpc_arm_cortex_a15_ST_SPEC_VT_DEF, {10000}, {0x71, 0x7fffffff}},
    {hpc_arm_cortex_a15_LDST_SPEC_VT_DEF, {10000}, {0x72, 0x7fffffff}},
    {hpc_arm_cortex_a15_DP_SPEC_VT_DEF, {10000}, {0x73, 0x7fffffff}},
    {hpc_arm_cortex_a15_ASE_SPEC_VT_DEF, {10000}, {0x74, 0x7fffffff}},
    {hpc_arm_cortex_a15_VFP_SPEC_VT_DEF, {10000}, {0x75, 0x7fffffff}},
    {hpc_arm_cortex_a15_PC_WRITE_SPEC_VT_DEF, {10000}, {0x76, 0x7fffffff}},
    {hpc_arm_cortex_a15_BR_IMMED_SPEC_VT_DEF, {10000}, {0x78, 0x7fffffff}},
    {hpc_arm_cortex_a15_BR_RETURN_SPEC_VT_DEF, {10000}, {0x79, 0x7fffffff}},
    {hpc_arm_cortex_a15_BR_INDIRECT_SPEC_VT_DEF, {10000}, {0x7a, 0x7fffffff}},
    {hpc_arm_cortex_a15_ISB_SPEC_VT_DEF, {10000}, {0x7c, 0x7fffffff}},
    {hpc_arm_cortex_a15_DSB_SPEC_VT_DEF, {10000}, {0x7d, 0x7fffffff}},
    {hpc_arm_cortex_a15_DMB_SPEC_VT_DEF, {10000}, {0x7e, 0x7fffffff}},
};

const unsigned int hpcArmCtxA15NumEvents = CAFE_NELEMENTS(hpcDrvEvtDescArmCtxA15);

struct driverInstArm hpcHwDrvArmCtxA15 =
    {
    "Arm Device Common Events",
    0,
    0,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL
    };
