/* Copyright (c) 2014 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/*
modification history
--------------------
09sep14,wzc  support arm hpc events.(US17715)
28mar14,sdt  fixed build issue in tcf-tools env.
13mar14,wzc  support arm hpc(US17715)
*/

/*
DESCRIPTION
*/

#include <stdlib.h>
#include <string.h>

#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include <hpc/drv_evt_cfg/hpcDrvEvtCfg.h>
#include <hpc/drv_evt_cfg/arm/armCtxA9EvtCfg.h>
#include <cafe/autogenerated/hpc_common.type.h>
#include <cafe/autogenerated/hpc_arm_ctxa9.type.h>

/* this events are from DDI0388I_cortex_a9_r4p1_trm.pdf */
struct armEventDescription hpcDrvEvtDescArmCtxA9[] = {
    {hpc_arm_cortex_a9_SW_INCR_VT_DEF, {10000}, {0x0, 0x7fffffff}},
    {hpc_level_1_instruction_cache_miss_VT_DEF, {10000}, {0x1, 0x7fffffff}},
    {hpc_arm_cortex_a9_INSTR_MICRO_TLB_MISS_VT_DEF, {10000}, {0x2, 0x7fffffff}},
    {hpc_level_1_data_cache_miss_VT_DEF, {10000}, {0x3, 0x7fffffff}},
    {hpc_arm_cortex_a9_DATA_CACHE_VT_DEF, {10000}, {0x4, 0x7fffffff}},
    {hpc_arm_cortex_a9_DATA_MICRO_TLB_MISS_VT_DEF, {10000}, {0x5, 0x7fffffff}},
    {hpc_load_instructions_VT_DEF, {50000}, {0x6, 0x7fffffff}},
    {hpc_store_instructions_VT_DEF, {50000}, {0x7, 0x7fffffff}},
    {hpc_interrupts_taken_VT_DEF, {1000}, {0x9, 0x7fffffff}},
    {hpc_arm_cortex_a9_EXCEPTION_RETURN_VT_DEF, {10000}, {0xa, 0x7fffffff}},
    {hpc_arm_cortex_a9_CID_WRITE_VT_DEF, {10000}, {0xb, 0x7fffffff}},
    {hpc_arm_cortex_a9_PC_WRITE_VT_DEF, {10000}, {0xc, 0x7fffffff}},
    {hpc_arm_cortex_a9_PC_IMM_BRANCH_VT_DEF, {10000}, {0xd, 0x7fffffff}},
    {hpc_arm_cortex_a9_MEM_UNALIGNED_ACCESS_VT_DEF, {10000}, {0xf, 0x7fffffff}},
    {hpc_arm_cortex_a9_PC_BRANCH_MIS_PRED_VT_DEF, {10000}, {0x10, 0x7fffffff}},
    {hpc_total_cycles_VT_DEF, {1000000}, {0x11, 0x80000000}},
    {hpc_arm_cortex_a9_PC_BRANCH_PRED_VT_DEF, {10000}, {0x12, 0x7fffffff}},
    {hpc_arm_cortex_a9_JAVA_BYTECODE_VT_DEF, {10000}, {0x40, 0x7fffffff}},
    {hpc_arm_cortex_a9_SW_JAVA_BYTECODE_VT_DEF, {10000}, {0x41, 0x7fffffff}},
    {hpc_arm_cortex_a9_JAZELLE_BACKWARD_BRANCHES_VT_DEF, {10000}, {0x42, 0x7fffffff}},
    {hpc_arm_cortex_a9_COHERENT_LINEFILL_MISS_VT_DEF, {10000}, {0x50, 0x7fffffff}},
    {hpc_arm_cortex_a9_COHERENT_LINEFILL_HITS_VT_DEF, {10000}, {0x51, 0x7fffffff}},
    {hpc_arm_cortex_a9_INST_CACHE_DEPENDENT_STALL_CYCLES_VT_DEF, {10000}, {0x60, 0x7fffffff}},
    {hpc_arm_cortex_a9_DATA_CACHE_DEPENDENT_STALL_CYCLES_VT_DEF, {10000}, {0x61, 0x7fffffff}},
    {hpc_arm_cortex_a9_MAIN_TLB_MISS_STALL_CYCLES_VT_DEF, {10000}, {0x62, 0x7fffffff}},
    {hpc_arm_cortex_a9_STREX_PASSED_VT_DEF, {10000}, {0x63, 0x7fffffff}},
    {hpc_arm_cortex_a9_STREX_FAILED_VT_DEF, {10000}, {0x64, 0x7fffffff}},
    {hpc_arm_cortex_a9_DATA_EVICTION_VT_DEF, {10000}, {0x65, 0x7fffffff}},
    {hpc_arm_cortex_a9_ISSUE_NOT_DISPATCH_ANY_INST_VT_DEF, {10000}, {0x66, 0x7fffffff}},
    {hpc_arm_cortex_a9_ISSUE_IS_EMPTY_VT_DEF, {10000}, {0x67, 0x7fffffff}},
    {hpc_arm_cortex_a9_INST_GO_THROUGH_REGISTER_RENAME_STAGE_VT_DEF, {10000}, {0x68, 0x7fffffff}},
    {hpc_arm_cortex_a9_DATA_LINEFILL_VT_DEF, {10000}, {0x69, 0x7fffffff}},
    {hpc_arm_cortex_a9_PREFETCHER_LINEFILL_VT_DEF, {10000}, {0x6a, 0x7fffffff}},
    {hpc_arm_cortex_a9_PREFETCH_CACHE_LINE_HITS_VT_DEF, {10000}, {0x6b, 0x7fffffff}},
    {hpc_arm_cortex_a9_PREDICTABLE_FUNCTION_RETURNS_VT_DEF, {10000}, {0x6e, 0x7fffffff}},
    {hpc_arm_cortex_a9_MAIN_EXECUTION_UNIT_INST_VT_DEF, {10000}, {0x70, 0x7fffffff}},
    {hpc_arm_cortex_a9_SECOND_EXECUTION_UNIT_INST_VT_DEF, {10000}, {0x71, 0x7fffffff}},
    {hpc_arm_cortex_a9_LD_OR_ST_INST_VT_DEF, {10000}, {0x72, 0x7fffffff}},
     {hpc_arm_cortex_a9_FLOATING_POINT_INST_VT_DEF, {10000}, {0x73, 0x7fffffff}},
    {hpc_arm_cortex_a9_NEON_INST_VT_DEF, {10000}, {0x74, 0x7fffffff}},
    {hpc_arm_cortex_a9_PROCEESSOR_STALL_PLD_VT_DEF, {10000}, {0x80, 0x7fffffff}},
    {hpc_arm_cortex_a9_PROCEESSOR_STALL_WRITE_MEMORY_VT_DEF, {10000}, {0x81, 0x7fffffff}},
    {hpc_arm_cortex_a9_PROCEESSOR_STALL_INST_MAIN_TLB_MISS_VT_DEF, {10000}, {0x82, 0x7fffffff}},
    {hpc_arm_cortex_a9_PROCEESSOR_STALL_DATA_MAIN_TLB_MISS_VT_DEF, {10000}, {0x83, 0x7fffffff}},
    {hpc_arm_cortex_a9_PROCEESSOR_STALL_INST_MICRO_TLB_MISS_VT_DEF, {10000}, {0x84, 0x7fffffff}},
    {hpc_arm_cortex_a9_PROCEESSOR_STALL_DATA_MICRO_TLB_MISS_VT_DEF, {10000}, {0x85, 0x7fffffff}},
    {hpc_arm_cortex_a9_PROCEESSOR_STALL_DMB_VT_DEF, {10000}, {0x86, 0x7fffffff}},
    {hpc_arm_cortex_a9_INTEGAR_CLOCK_ENABLED_VT_DEF, {10000}, {0x8a, 0x7fffffff}},
    {hpc_arm_cortex_a9_DATA_ENGINE_CLOCK_ENABLED_VT_DEF, {10000}, {0x8b, 0x7fffffff}},
    {hpc_arm_cortex_a9_NEON_SIMD_CLOCK_ENABLED_VT_DEF, {10000}, {0x8c, 0x7fffffff}},
    {hpc_arm_cortex_a9_INST_TLB_ALLOCATION_VT_DEF, {10000}, {0x8d, 0x7fffffff}},
    {hpc_arm_cortex_a9_DATA_TLB_ALLOCATION_VT_DEF, {10000}, {0x8e, 0x7fffffff}},
    {hpc_arm_cortex_a9_ISB_INST_VT_DEF, {10000}, {0x90, 0x7fffffff}},
    {hpc_arm_cortex_a9_DSB_INST_VT_DEF, {10000}, {0x91, 0x7fffffff}},
    {hpc_arm_cortex_a9_DMB_INST_VT_DEF, {10000}, {0x92, 0x7fffffff}},
    {hpc_arm_cortex_a9_EXTERNAL_INTERRUPT_VT_DEF, {10000}, {0x93, 0x7fffffff}},
    {hpc_arm_cortex_a9_PLE_CACHE_LINE_REQ_VT_DEF, {10000}, {0xa0, 0x7fffffff}},
    {hpc_arm_cortex_a9_PLE_CACHE_LINE_SKIP_VT_DEF, {10000}, {0xa1, 0x7fffffff}},
    {hpc_arm_cortex_a9_PLE_FIFO_FLUSH_VT_DEF, {10000}, {0xa2, 0x7fffffff}},
    {hpc_arm_cortex_a9_PLE_REQ_VT_DEF, {10000}, {0xa3, 0x7fffffff}},
    {hpc_arm_cortex_a9_PLE_FIFO_OVERFLOW_VT_DEF, {10000}, {0xa4, 0x7fffffff}},
    {hpc_arm_cortex_a9_PLE_REQ_PROGRAMMED_VT_DEF, {10000}, {0xa5, 0x7fffffff}},
};

const unsigned int hpcArmCtxA9NumEvents = CAFE_NELEMENTS(hpcDrvEvtDescArmCtxA9);

struct driverInstArm hpcHwDrvArmCtxA9 =
    {
    "Arm Device Common Events",
    0,
    0,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL
    };
