/* Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

#include <stdlib.h>
#include <string.h>

#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include <hpc/drv_evt_cfg/hpcDrvEvtCfg.h>
#include <hpc/hpc_drv/ppc/e500Drv.h>
#include <hpc/drv_evt_cfg/ppc/e500DrvEvtCfg.h>
#include <hpc/drv_evt_cfg/ppc/e500CoreEvtCfg.h>
#include <cafe/autogenerated/hpc_common.type.h>
#include <cafe/autogenerated/hpc_e500.type.h>

#define NUM_COUNTERS		4
#define COUNTER_SIZE_MASK	0 /* All counters are 32-bit */

struct e500EventDescription hpcDrvEvtDescE500[] = {
    /* common named events */
    {hpc_total_cycles_VT_DEF,
	{500000},
	"Ref:1"},
    {hpc_total_instructions_VT_DEF,
	{500000},
	"Ref:2"},
    {hpc_load_instructions_VT_DEF,
	{50000},
	"Com:9"},
    {hpc_store_instructions_VT_DEF,
	{50000},
	"Com:10"},
    {hpc_level_1_data_cache_miss_VT_DEF,
	{10000},
	"Com:41"},
    {hpc_level_1_instruction_cache_miss_VT_DEF,
	{10000},
	"Com:60"},

    /* general events */
    {hpc_e500_PROCESSOR_CYCLES_VT_DEF,
        {500000},
        "Ref:1"},
    {hpc_e500_INSTRUCTIONS_COMPLETED_VT_DEF,
        {500000},
        "Ref:2"},
    {hpc_e500_MICRO_OPS_COMPLETED_VT_DEF,
        {1000},
        "Com:3"},
    {hpc_e500_INSTRUCTIONS_FETCHED_VT_DEF,
        {1000},
        "Com:4"},
    {hpc_e500_MICRO_OPS_DECODED_VT_DEF,
        {1000},
        "Com:5"},
    {hpc_e500_PM_EVENT_TRANSITIONS_VT_DEF,
        {1000},
        "Com:6"},
    {hpc_e500_PM_EVENT_CYCLES_VT_DEF,
        {1000},
        "Com:7"},

    /* Instruction Types Completed */
    {hpc_e500_BRANCH_INSTRUCTIONS_COMPLETED_VT_DEF,
        {1000},
        "Com:8"},
    {hpc_e500_LOAD_MICRO_OPS_COMPLETED_VT_DEF,
        {1000},
        "Com:9"},
    {hpc_e500_STORE_MICRO_OPS_COMPLETED_VT_DEF,
        {1000},
        "Com:10"},
    {hpc_e500_NUMBER_OF_CQ_REDIRECTS_VT_DEF,
        {1000},
        "Com:11"},

    /* Branch Prediction and Execution Events */
    {hpc_e500_BRANCHES_FINISHED_VT_DEF,
        {1000},
        "Com:12"},
    {hpc_e500_TAKEN_BRANCHES_FINISHED_VT_DEF,
        {1000},
        "Com:13"},
    {hpc_e500_FINISHED_UNCONDITIONAL_BRANCHES_THAT_MISS_THE_BTB_VT_DEF,
        {1000},
        "Com:14"},
    {hpc_e500_BRANCHES_MISPREDICTED_VT_DEF,
        {1000},
        "Com:15"},
    {hpc_e500_BRANCHES_IN_THE_BTB_MISPREDICTED_DUE_TO_DIRECTION_PREDICTION_VT_DEF,
        {1000},
        "Com:16"},
    {hpc_e500_BTB_HITS_AND_PSEUDO_HITS_VT_DEF,
        {1000},
        "Com:17"},

    /* Pipeline Stalls */
    {hpc_e500_CYCLES_DECODE_STALLED_VT_DEF,
        {1000},
        "Com:18"},
    {hpc_e500_CYCLES_ISSUE_STALLED_VT_DEF,
        {1000},
        "Com:19"},
    {hpc_e500_CYCLES_BRANCH_ISSUE_STALLED_VT_DEF,
        {1000},
        "Com:20"},
    {hpc_e500_CYCLES_SU1_SCHEDULE_STALLED_VT_DEF,
        {1000},
        "Com:21"},
    {hpc_e500_CYCLES_SU2_SCHEDULE_STALLED_VT_DEF,
        {1000},
        "Com:22"},
    {hpc_e500_CYCLES_MU_SCHEDULE_STALLED_VT_DEF,
        {1000},
        "Com:23"},
    {hpc_e500_CYCLES_LRU_SCHEDULE_STALLED_VT_DEF,
        {1000},
        "Com:24"},
    {hpc_e500_CYCLES_BU_SCHEDULE_STALLED_VT_DEF,
        {1000},
        "Com:25"},

    /* Load/Store, Data Cache, and Data Line Fill Buffer (DLFB) Events */
    {hpc_e500_TOTAL_TRANSLATED_SPEC_VT_DEF,
        {1000},
        "Com:26"},
    {hpc_e500_LOADS_TRANSLATED_VT_DEF,
        {1000},
        "Com:27"},
    {hpc_e500_STORES_TRANSLATED_VT_DEF,
        {1000},
        "Com:28"},
    {hpc_e500_TOUCHES_TRANSLATED_VT_DEF,
        {1000},
        "Com:29"},
    {hpc_e500_CACHEOPS_TRANSLATED_VT_DEF,
        {1000},
        "Com:30"},
    {hpc_e500_CACHE_INHIBITED_ACCESSES_TRANSLATED_VT_DEF,
        {1000},
        "Com:31"},
    {hpc_e500_GUARDED_LOADS_TRANSLATED_VT_DEF,
        {1000},
        "COM:32"},
    {hpc_e500_WRITE_THROUGH_STORES_TRANSLATED_VT_DEF,
        {1000},
        "COM:33"},
    {hpc_e500_MISALIGNED_LOAD_OR_STORE_ACCESSES_TRANSLATED_VT_DEF,
        {1000},
        "COM:34"},
    {hpc_e500_TOTAL_ALLOCATED_TO_DLFB_VT_DEF,
        {1000},
        "COM:35"},
    {hpc_e500_LOADS_TRANSLATED_AND_ALLOCATED_TO_DLFB_VT_DEF,
        {1000},
        "COM:36"},
    {hpc_e500_STORES_COMPLETED_AND_ALLOCATED_TO_DLFB_VT_DEF,
        {1000},
        "COM:37"},
    {hpc_e500_TOUCHES_TRANSLATED_AND_ALLOCATED_TO_DLFB_VT_DEF,
        {1000},
        "COM:38"},
    {hpc_e500_STORES_COMPLETED_VT_DEF,
        {1000},
        "COM:39"},
    {hpc_e500_DATA_L1_CACHE_LOCKS_VT_DEF,
        {1000},
        "COM:40"},
    {hpc_e500_DATA_L1_CACHE_RELOADS_VT_DEF,
        {1000},
        "COM:41"},
    {hpc_e500_DATA_L1_CACHE_CASTOUTS_VT_DEF,
        {1000},
        "COM:42"},

    /* DATA SIDE REPLAY CONDITIONS: (TIMES DETECTED) */
    {hpc_e500_LOAD_MISS_WITH_DLFB_FULL_TD_VT_DEF,
        {1000},
        "COM:43"},
    {hpc_e500_LOAD_MISS_WITH_LOAD_QUEUE_FULL_TD_VT_DEF,
        {1000},
        "COM:44"},
    {hpc_e500_LOAD_GUARDED_MISS_WHEN_THE_LOAD_IS_NOT_YET_AT_THE_BOTTOM_OF_THE_CQ_TD_VT_DEF,
        {1000},
        "COM:45"},
    {hpc_e500_TRANSLATE_A_STORE_WHEN_THE_STORE_QUEUE_IS_FULL_TD_VT_DEF,
        {1000},
        "COM:46"},
    {hpc_e500_ADDRESS_COLLISION_TD_VT_DEF,
        {1000},
        "COM:47"},
    {hpc_e500_DATA_MMU_MISS_TD_VT_DEF,
        {1000},
        "COM:48"},
    {hpc_e500_DATA_MMU_BUSY_TD_VT_DEF,
        {1000},
        "Com:49"},
    {hpc_e500_SECOND_PART_OF_MISALIGNED_ACCESS_WHEN_FIRST_PART_MISSED_IN_CACHE_TD_VT_DEF,
        {1000},
        "Com:50"},

    /* Data Side Replay Conditions: (Cycles Stalled) */
    {hpc_e500_LOAD_MISS_WITH_DLFB_FULL_CS_VT_DEF,
        {1000},
        "Com:51"},
    {hpc_e500_LOAD_MISS_WITH_LOAD_QUEUE_FULL_CS_VT_DEF,
        {1000},
        "Com:52"},
    {hpc_e500_LOAD_GUARDED_MISS_WHEN_THE_LOAD_IS_NOT_YET_AT_THE_BOTTOM_OF_THE_CQ_CS_VT_DEF,
        {1000},
        "Com:53"},
    {hpc_e500_TRANSLATE_A_STORE_WHEN_THE_STORE_QUEUE_IS_FULL_CS_VT_DEF,
        {1000},
        "Com:54"},
    {hpc_e500_ADDRESS_COLLISION_CS_VT_DEF,
        {1000},
        "Com:55"},
    {hpc_e500_DATA_MMU_MISS_CS_VT_DEF,
        {1000},
        "Com:56"},
    {hpc_e500_DATA_MMU_BUSY_CS_VT_DEF,
        {1000},
        "Com:57"},
    {hpc_e500_SECOND_PART_OF_MISALIGNED_ACCESS_WHEN_FIRST_PART_MISSED_IN_CACHE_CS_VT_DEF,
        {1000},
        "Com:58"},

    /* Fetch, Instruction Cache, Instruction Line Fill Buffer (ILFB), and
     * Instruction Prefetch Events */
    {hpc_e500_INSTRUCTION_L1_CACHE_LOCKS_VT_DEF,
        {1000},
        "Com:59"},
    {hpc_e500_INSTRUCTION_L1_CACHE_RELOADS_FROM_FETCH_VT_DEF,
        {1000},
        "Com:60"},
    {hpc_e500_NUMBER_OF_FETCHES_VT_DEF,
        {1000},
        "Com:61"},

    /* instruction MMU, Data MMU and L2 MMU Events */
    {hpc_e500_INSTRUCTION_MMU_TLB4K_RELOADS_VT_DEF,
        {1000},
        "Com:62"},
    {hpc_e500_INSTRUCTION_MMU_VSP_RELOADS_VT_DEF,
        {1000},
        "Com:63"},
    {hpc_e500_DATA_MMU_TLB4K_RELOADS_VT_DEF,
        {1000},
        "Com:64"},
    {hpc_e500_DATA_MMU_VSP_RELOADS_VT_DEF,
        {1000},
        "Com:65"},
    {hpc_e500_L2_MMU_MISSES_VT_DEF,
        {1000},
        "Com:66"},

    /* BIU Interface Usage */
    {hpc_e500_BIU_MASTER_REQUESTS_VT_DEF,
        {1000},
        "Com:67"},
    {hpc_e500_BIU_MASTER_INSTRUCTION_SIDE_REQUESTS_VT_DEF,
        {1000},
        "Com:68"},
    {hpc_e500_BIU_MASTER_DATA_SIDE_REQUESTS_VT_DEF,
        {1000},
        "Com:69"},
    {hpc_e500_BIU_MASTER_DATA_SIDE_CASTOUT_REQUESTS_VT_DEF,
        {1000},
        "Com:70"},
    {hpc_e500_BIU_MASTER_RETRIES_VT_DEF,
        {1000},
        "Com:71"},

    /* Snoop */
    {hpc_e500_SNOOP_REQUESTS_VT_DEF,
        {1000},
        "Com:72"},
    {hpc_e500_SNOOP_HITS_VT_DEF,
        {1000},
        "Com:73"},
    {hpc_e500_SNOOP_PUSHES_VT_DEF,
        {1000},
        "Com:74"},
    {hpc_e500_SNOOP_RETRIES_VT_DEF,
        {1000},
        "Com:75"},

    /* Interrupt Events */
    {hpc_e500_INTERRUPTS_TAKEN_VT_DEF,
        {1000},
        "Com:86"},
    {hpc_e500_EXTERNAL_INPUT_INTERRUPTS_TAKEN_VT_DEF,
        {1000},
        "Com:87"},
    {hpc_e500_CRITICAL_INPUT_INTERRUPTS_TAKEN_VT_DEF,
        {1000},
        "Com:88"},
    {hpc_e500_SYSTEM_CALL_AND_TRAP_INTERRUPTS_VT_DEF,
        {1000},
        "Com:89"},
    {hpc_e500_V2_TRANSITIONS_OF_TBL_BIT_SELECTED_BY_PMGC0_TBSEL_VT_DEF,
        {1000},
        "Com:90"}};

const unsigned int hpcE500NumEvents = CAFE_NELEMENTS(hpcDrvEvtDescE500);

/******************************************************************************
*/

struct driverInstE500 hpcHwDrvE500Core =
    {
    "E500 Core Events",
    0,
    NUM_COUNTERS,
    COUNTER_SIZE_MASK,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    };
