/* Copyright (c) 2011 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

#include <stdlib.h>
#include <string.h>

#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include <hpc/drv_evt_cfg/hpcDrvEvtCfg.h>
#include <hpc/hpc_drv/ppc/e500Drv.h>
#include <hpc/drv_evt_cfg/ppc/e500DrvEvtCfg.h>
#include <hpc/drv_evt_cfg/ppc/mpc8548EvtCfg.h>
#include <cafe/autogenerated/hpc_common.type.h>
#include <cafe/autogenerated/hpc_mpc8548.type.h>

#define NUM_COUNTERS	9
#define COUNTER_SIZE_MASK 0x1 /* PMC0 64bit, PMC1-PMC8 are 32bit */

struct e500EventDescription hpcDrvEvtDescMpc8548[] = {
    /* common named events */
    {hpc_level_2_instruction_cache_hit_VT_DEF,
	{1000}, "Ref1:22"},
    {hpc_level_2_instruction_cache_miss_VT_DEF,
	{1000}, "C2:59"},
    {hpc_level_2_data_cache_hit_VT_DEF,
	{1000}, "Ref1:23"},
    {hpc_level_2_data_cache_miss_VT_DEF,
	{1000}, "C4:57"},

    /* hw specific named events */
    /* General Events */
    {hpc_mpc8548_SYSTEM_CYCLES_VT_DEF,
	{1000000}, "C0:0"},

    /* DDR Memory Controller Events */
    {hpc_mpc8548_DRAM_READ_VT_DEF,
	{1000}, "Ref1:19"},
    {hpc_mpc8548_DRAM_WRITE_VT_DEF,
	{1000}, "Ref1:11"},
    {hpc_mpc8548_PIPELINED_READ_MISSES_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C1:57"},
    {hpc_mpc8548_PIPELINED_READ_OR_WRITE_MISSES_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C2:0"},
    {hpc_mpc8548_NON_PIPELINED_READ_MISSES_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C3:60"},
    {hpc_mpc8548_NON_PIPELINED_READ_OR_WRITE_MISSES_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C4:0"},
    {hpc_mpc8548_PIPELINED_READ_HITS_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C5:56"},
    {hpc_mpc8548_PIPELINED_READ_OR_WRITE_HITS_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C6:0"},
    {hpc_mpc8548_NON_PIPELINED_READ_HITS_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C7:57"},
    {hpc_mpc8548_NON_PIPELINED_READ_OR_WRITE_HITS_IN_THE_ROW_OPEN_TABLE_VT_DEF,
	{1000}, "C8:0"},
    {hpc_mpc8548_FORCED_PAGE_CLOSINGS_NOT_CAUSED_BY_A_REFRESH_VT_DEF,
	{1000}, "C1:0"},
    {hpc_mpc8548_ROW_OPEN_TABLE_MISSES_VT_DEF,
	{1000}, "C2:1"},
    {hpc_mpc8548_ROW_OPEN_TABLE_HITS_VT_DEF,
	{1000}, "C3:0"},
    {hpc_mpc8548_FORCE_PAGE_CLOSINGS_VT_DEF,
	{1000}, "C4:1"},
    {hpc_mpc8548_READ_MODIFY_WRITE_TRANSACTIONS_DUE_TO_ECC_VT_DEF,
	{1000}, "C5:0"},
    {hpc_mpc8548_FORCED_PAGE_CLOSINGS_DUE_TO_COLLISION_WITH_BANK_AND_SUB_BANK_VT_DEF,
	{1000}, "Ref1:12"},
    {hpc_mpc8548_READS_OR_WRITES_FROM_CORE_VT_DEF,
	{1000}, "Ref1:13"},
    {hpc_mpc8548_READS_OR_WRITES_FROM_ETSEC_1_4_VT_DEF,
	{1000}, "C3:1"},
    {hpc_mpc8548_READS_OR_WRITES_FROM_PCI_VT_DEF,
	{1000}, "C3:2"},
    {hpc_mpc8548_READS_OR_WRITES_FROM_HIGH_SPEED_INTERFACES_VT_DEF,
	{1000}, "C4:3"},
    {hpc_mpc8548_READS_OR_WRITES_FROM_DMA_VT_DEF,
	{1000}, "C5:2"},
    {hpc_mpc8548_READS_OR_WRITES_FROM_SECURITY_VT_DEF,
	{1000}, "C6:5"},
    {hpc_mpc8548_ROW_OPEN_TABLE_HITS_FOR_READS_OR_WRITES_FROM_CORE_VT_DEF,
	{1000}, "Ref1:14"},
    {hpc_mpc8548_ROW_OPEN_TABLE_HITS_FOR_READS_OR_WRITES_FROM_ETSEC_1_4_VT_DEF,
	{1000}, "C6:1"},
    {hpc_mpc8548_ROW_OPEN_TABLE_HITS_FOR_READS_OR_WRITES_FROM_PCI_VT_DEF,
	{1000}, "C6:2"},
    {hpc_mpc8548_ROW_OPEN_TABLE_HITS_FOR_READS_OR_WRITES_FROM_HIGH_SPEED_INTERFACES_VT_DEF,
	{1000}, "C7:1"},
    {hpc_mpc8548_ROW_OPEN_TABLE_HITS_FOR_READS_OR_WRITES_FROM_DMA_VT_DEF,
	{1000}, "C8:2"},
    {hpc_mpc8548_ROW_OPEN_TABLE_HITS_FOR_READS_OR_WRITES_FROM_SECURITY_VT_DEF,
	{1000}, "C7:4"},

    /* Memory Target Queue Events */
    {hpc_mpc8548_MEM_TQ_READ_WRITE_ADDRESS_COLLISION_VT_DEF,
	{1000}, "C5:5"},

    /* DMA Controller Events */
    {hpc_mpc8548_DMA_CHANNEL_0_READ_REQUEST_VT_DEF,
	{1000}, "C1:2"},
    {hpc_mpc8548_DMA_CHANNEL_1_READ_REQUEST_VT_DEF,
	{1000}, "C2:5"},
    {hpc_mpc8548_DMA_CHANNEL_2_READ_REQUEST_VT_DEF,
	{1000}, "C3:4"},
    {hpc_mpc8548_DMA_CHANNEL_3_READ_REQUEST_VT_DEF,
	{1000}, "C4:6"},
    {hpc_mpc8548_DMA_CHANNEL_0_WRITE_REQUEST_VT_DEF,
	{1000}, "C1:3"},
    {hpc_mpc8548_DMA_CHANNEL_1_WRITE_REQUEST_VT_DEF,
	{1000}, "C2:6"},
    {hpc_mpc8548_DMA_CHANNEL_2_WRITE_REQUEST_VT_DEF,
	{1000}, "C3:5"},
    {hpc_mpc8548_DMA_CHANNEL_3_WRITE_REQUEST_VT_DEF,
	{1000}, "C4:7"},
    {hpc_mpc8548_DMA_CHANNEL_0_DESCRIPTOR_REQUEST_VT_DEF,
	{1000}, "C5:41"},
    {hpc_mpc8548_DMA_CHANNEL_1_DESCRIPTOR_REQUEST_VT_DEF,
	{1000}, "C6:44"},
    {hpc_mpc8548_DMA_CHANNEL_2_DESCRIPTOR_REQUEST_VT_DEF,
	{1000}, "C7:41"},
    {hpc_mpc8548_DMA_CHANNEL_3_DESCRIPTOR_REQUEST_VT_DEF,
	{1000}, "C8:41"},
    {hpc_mpc8548_DMA_CHANNEL_0_READ_DW_OR_LESS_VT_DEF,
	{1000}, "C1:4"},
    {hpc_mpc8548_DMA_CHANNEL_0_READ_DW_OR_LESS_EVENT2_VT_DEF,
	{1000}, "C5:53"},
    {hpc_mpc8548_DMA_CHANNEL_1_READ_DW_OR_LESS_VT_DEF,
	{1000}, "C2:7"},
    {hpc_mpc8548_DMA_CHANNEL_1_READ_DW_OR_LESS_EVENT2_VT_DEF,
	{1000}, "C6:58"},
    {hpc_mpc8548_DMA_CHANNEL_2_READ_DW_OR_LESS_VT_DEF,
	{1000}, "C3:6"},
    {hpc_mpc8548_DMA_CHANNEL_2_READ_DW_OR_LESS_EVENT2_VT_DEF,
	{1000}, "C7:54"},
    {hpc_mpc8548_DMA_CHANNEL_3_READ_DW_OR_LESS_VT_DEF,
	{1000}, "C4:8"},
    {hpc_mpc8548_DMA_CHANNEL_3_READ_DW_OR_LESS_EVENT2_VT_DEF,
	{1000}, "C8:52"},
    {hpc_mpc8548_DMA_CHANNEL_0_WRITE_DW_OR_LESS_VT_DEF,
	{1000}, "C1:5"},
    {hpc_mpc8548_DMA_CHANNEL_1_WRITE_DW_OR_LESS_VT_DEF,
	{1000}, "C2:8"},
    {hpc_mpc8548_DMA_CHANNEL_2_WRITE_DW_OR_LESS_VT_DEF,
	{1000}, "C3:7"},
    {hpc_mpc8548_DMA_CHANNEL_3_WRITE_DW_OR_LESS_VT_DEF,
	{1000}, "C4:9"},

    /* e500 Coherency Module (ECM) Events */
    {hpc_mpc8548_ECM_REQUEST_WAIT_CORE_VT_DEF,
	{1000}, "C8:13"},
    {hpc_mpc8548_ECM_REQUEST_WAIT_SAP_I2C_SECURITY_VT_DEF,
	{1000}, "C7:13"},
    {hpc_mpc8548_ECM_REQUEST_WAIT_PCI_PCI_X_PEX_DMA_SRIO_VT_DEF,
	{1000}, "C5:16"},
    {hpc_mpc8548_ECM_REQUEST_WAIT_ETSEC1_2_VT_DEF,
	{1000}, "C6:16"},
    {hpc_mpc8548_ECM_REQUEST_WAIT_ETSEC3_4_VT_DEF,
	{1000}, "C4:20"},
    {hpc_mpc8548_ECM_DISPATCH_VT_DEF,
	{1000}, "Ref1:15"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_CORE_VT_DEF,
	{1000}, "C1:16"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_ETSEC1_VT_DEF,
	{1000}, "C3:19"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_ETSEC2_VT_DEF,
	{1000}, "C4:21"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_ETSEC3_VT_DEF,
	{1000}, "C8:16"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_ETSEC4_VT_DEF,
	{1000}, "C9:16"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_SRIO_VT_DEF,
	{1000}, "C5:17"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_PCI1_PEX1_VT_DEF,
	{1000}, "C6:17"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_PCI2_PEX2_VT_DEF,
	{1000}, "C7:16"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_PCI3_PEX3_VT_DEF,
	{1000}, "C8:17"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_DMA_VT_DEF,
	{1000}, "C7:14"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_SECURITY_VT_DEF,
	{1000}, "C9:17"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_RIO_MESSAGE_UNIT_DOOR_BELL_OR_PORT_WRITE_VT_DEF,
	{1000}, "C9:18"},
    {hpc_mpc8548_ECM_DISPATCH_FROM_OTHER_VT_DEF,
	{1000}, "C8:14"},
    {hpc_mpc8548_ECM_DISPATCH_TO_DDR_VT_DEF,
	{1000}, "C4:22"},
    {hpc_mpc8548_ECM_DISPATCH_TO_L2_VT_DEF,
	{1000}, "C5:18"},
    {hpc_mpc8548_ECM_DISPATCH_TO_SRAM_VT_DEF,
	{1000}, "C1:15"},
    {hpc_mpc8548_ECM_DISPATCH_TO_LBC_VT_DEF,
	{1000}, "C6:18"},
    {hpc_mpc8548_ECM_DISPATCH_TO_SRIO_VT_DEF,
	{1000}, "C7:15"},
    {hpc_mpc8548_ECM_DISPATCH_TO_PCI1_PEX1_VT_DEF,
	{1000}, "C8:15"},
    {hpc_mpc8548_ECM_DISPATCH_TO_PCI2_PEX2_VT_DEF,
	{1000}, "C9:19"},
    {hpc_mpc8548_ECM_DISPATCH_TO_PCI3_PEX3_VT_DEF,
	{1000}, "C1:21"},
    {hpc_mpc8548_ECM_DISPATCH_TO_CCSR_VT_DEF,
	{1000}, "C2:20"},
    {hpc_mpc8548_ECM_DISPATCH_WRITE_VT_DEF,
	{1000}, "C1:17"},
    {hpc_mpc8548_ECM_DISPATCH_WRITE_ALLOCATE_VT_DEF,
	{1000}, "C2:21"},
    {hpc_mpc8548_ECM_DISPATCH_READ_VT_DEF,
	{1000}, "C4:23"},
    {hpc_mpc8548_ECM_DISPATCH_READ_ATOMIC_CLR_SET_DEC_INC_VT_DEF,
	{1000}, "C9:23"},
    {hpc_mpc8548_ECM_DATA_BUS_GRANT_DDR_VT_DEF,
	{1000}, "C1:18"},
    {hpc_mpc8548_ECM_DATA_BUS_GRANT_PCI_PCI_X_PEX_DMA_SRIO_VT_DEF,
	{1000}, "C2:22"},
    {hpc_mpc8548_ECM_DATA_BUS_GRANT_SAP_I2C_SECURITY_VT_DEF,
	{1000}, "C3:22"},
    {hpc_mpc8548_ECM_DATA_BUS_GRANT_LBC_VT_DEF,
	{1000}, "C1:19"},
    {hpc_mpc8548_ECM_DATA_BUS_GRANT_ETSEC1_2_VT_DEF,
	{1000}, "C2:23"},
    {hpc_mpc8548_ECM_DATA_BUS_GRANT_ETSEC3_4_VT_DEF,
	{1000}, "C4:25"},
    {hpc_mpc8548_ECM_GLOBAL_DATA_BUS_BEAT_VT_DEF,
	{1000}, "Ref1:16"},
    {hpc_mpc8548_ECM_E500_DIRECT_READ_BUS_BEAT_VT_DEF,
	{1000}, "Ref1:17"},
    {hpc_mpc8548_ECM_E500_DIRECT_READ_BUS_BEAT_FORWARDED_VT_DEF,
	{1000}, "C2:24"},
    {hpc_mpc8548_ECM_CANCEL_VT_DEF,
	{1000}, "Ref1:18"},
    {hpc_mpc8548_MAG2CU_MAGENTA_REQUESTS_VT_DEF,
	{1000}, "C1:55"},
    {hpc_mpc8548_MAG2CU_MAGENTA_READ_REQUESTS_VT_DEF,
	{1000}, "C2:12"},
    {hpc_mpc8548_MAG2CU_MAGENTA_DATA_BEATS_VT_DEF,
	{1000}, "C3:11"},
    {hpc_mpc8548_MAG2CU_MAGENTA_READ_DATA_BEATS_VT_DEF,
	{1000}, "C4:15"},
    {hpc_mpc8548_MAG2CU_MAGENTA_REQUEST_LESS_THAN_32_BYTES_VT_DEF,
	{1000}, "C7:12"},

    /* Interrupt Controller (PIC) Events */
    {hpc_mpc8548_PIC_TOTAL_INTERRUPT_COUNT_VT_DEF,
	{1000}, "Ref1:26"},
    {hpc_mpc8548_PIC_INTERRUPT_WAIT_CYCLES_VT_DEF,
	{1000}, "C8:62"},
    {hpc_mpc8548_PIC_INTERRUPT_SERVICE_CYCLES_VT_DEF,
	{1000}, "C2:19"},
#if 0
    /* Duration threshold events are not supported */
    {hpc_mpc8548_PIC_INTERRUPT_SELECT_0_VT_DEF,
	{1000}, "C1:56"},
    {hpc_mpc8548_PIC_INTERRUPT_SELECT_1_VT_DEF,
	{1000}, "C3:59"},
    {hpc_mpc8548_PIC_INTERRUPT_SELECT_2_VT_DEF,
	{1000}, "C5:55"},
    {hpc_mpc8548_PIC_INTERRUPT_SELECT_3_VT_DEF,
	{1000}, "C6:60"},
#endif
    /* PCI/PCI-X 1 Events */
    {hpc_mpc8548_PCI_PCI_X_CLOCK_CYCLES_VT_DEF,
	{1000}, "Ref1:28"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_MEMORY_READS_VT_DEF,
	{1000}, "C1:62"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_MEMORY_WRITES_VT_DEF,
	{1000}, "C2:37"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_CONFIG_READS_VT_DEF,
	{1000}, "C3:63"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_CONFIG_WRITES_VT_DEF,
	{1000}, "C4:37"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_MEMORY_READS_VT_DEF,
	{1000}, "C5:30"},
    {hpc_mpc8548_PCI_OUTBOUND_MEMORY_WRITES_PCI_X_OUTBOUND_MEMORY_WRITES_ATTEMPTED_VT_DEF,
	{1000}, "C6:32"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_I_O_READS_VT_DEF,
	{1000}, "C3:37"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_I_O_WRITES_VT_DEF,
	{1000}, "C4:38"},
    {hpc_mpc8548_PCI_OUTBOUND_CONFIG_READS_PCI_X_OUTBOUND_CONFIG_READS_ATTEMPTED_VT_DEF,
	{1000}, "C7:26"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_CONFIG_WRITES_VT_DEF,
	{1000}, "C8:26"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_TOTAL_READ_DATA_BEATS_VT_DEF,
	{1000}, "C5:32"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_TOTAL_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C6:34"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_TOTAL_READ_DATA_BEATS_VT_DEF,
	{1000}, "C7:28"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_TOTAL_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C8:28"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_32_BIT_READ_DATA_BEATS_VT_DEF,
	{1000}, "C1:30"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_32_BIT_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C2:38"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_32_BIT_READ_DATA_BEATS_VT_DEF,
	{1000}, "C3:38"},
    {hpc_mpc8548_PCI_PCI_X_OUTBOUND_32_BIT_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C4:39"},
    {hpc_mpc8548_PCI_PCI_X_TOTAL_TRANSACTIONS_VT_DEF,
	{1000}, "C7:29"},
    {hpc_mpc8548_PCI_PCI_X_64_BIT_TRANSACTIONS_VT_DEF,
	{1000}, "C8:29"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_PURGEABLE_READS_VT_DEF,
	{1000}, "C2:2"},
    {hpc_mpc8548_PCI_PCI_X_INBOUND_SPECULATIVE_READS_PURGEABLE_READS_DISCARDED_VT_DEF,
	{1000}, "C8:63"},
    {hpc_mpc8548_PCI_PCI_X_IDLE_CYCLES_VT_DEF,
	{1000}, "C1:31"},
    {hpc_mpc8548_PCI_PCI_X_DUAL_ADDRESS_CYCLES_VT_DEF,
	{1000}, "C2:40"},
    {hpc_mpc8548_PCI_PCI_X_INTERNAL_CYCLES_VT_DEF,
	{1000}, "C3:39"},
    {hpc_mpc8548_PCI_INBOUND_MEMORY_READ_PCI_X_INBOUND_MEMORY_32_BIT_READ_VT_DEF,
	{1000}, "C1:34"},
    {hpc_mpc8548_PCI_INBOUND_MEMORY_READLINE_PCI_X_INBOUND_MEMORY_ALIAS_READ_VT_DEF,
	{1000}, "C2:44"},
    {hpc_mpc8548_PCI_INBOUND_MEMORY_READ_MULTIPLE_PCI_X_INBOUND_MEMORY_BLOCK_READ_VT_DEF,
	{1000}, "C3:42"},
    {hpc_mpc8548_PCI_OUTBOUND_MEMORY_READS_PCI_X_OUTBOUND_MEMORY_DWORD_READS_ATTEMPTED_VT_DEF,
	{1000}, "C4:43"},
    {hpc_mpc8548_PCI_OUTBOUND_MEMORY_READ_LINES_PCI_X_OUTBOUND_MEMORY_BURST_READ_ATTEMPTED_VT_DEF,
	{1000}, "C5:36"},
    {hpc_mpc8548_PCI_WAIT_PCI_X_INITIAL_WAIT_VT_DEF,
	{1000}, "C1:35"},
    {hpc_mpc8548_PCI_PCI_X_SNOOPABLE_VT_DEF,
	{1000}, "C1:32"},
    {hpc_mpc8548_PCI_PCI_X_WRITE_STASH_VT_DEF,
	{1000}, "C2:42"},
    {hpc_mpc8548_PCI_PCI_X_WRITE_STASH_WITH_LOCK_VT_DEF,
	{1000}, "C3:41"},
    {hpc_mpc8548_PCI_PCI_X_READ_UNLOCK_VT_DEF,
	{1000}, "C4:42"},
    {hpc_mpc8548_PCI_PCI_X_BYTE_ENABLE_TRANSACTIONS_VT_DEF,
	{1000}, "C1:33"},
    {hpc_mpc8548_PCI_PCI_X_NON_BYTE_ENABLE_TRANSACTIONS_VT_DEF,
	{1000}, "C2:43"},

    /* PCI 2 Events */
    {hpc_mpc8548_PCI_2_CLOCK_CYCLES_VT_DEF,
	{1000}, "Ref1:27"},
    {hpc_mpc8548_PCI_2_INBOUND_MEMORY_READS_VT_DEF,
	{1000}, "C1:59"},
    {hpc_mpc8548_PCI_2_INBOUND_MEMORY_WRITES_VT_DEF,
	{1000}, "C2:41"},
    {hpc_mpc8548_PCI_2_INBOUND_CONFIG_READS_VT_DEF,
	{1000}, "C3:62"},
    {hpc_mpc8548_PCI_2_INBOUND_CONFIG_WRITES_VT_DEF,
	{1000}, "C4:40"},
    {hpc_mpc8548_PCI_2_OUTBOUND_MEMORY_READS_ALL_VT_DEF,
	{1000}, "C5:31"},
    {hpc_mpc8548_PCI_2_OUTBOUND_MEMORY_WRITES_VT_DEF,
	{1000}, "C6:33"},
    {hpc_mpc8548_PCI_2_OUTBOUND_IO_READS_VT_DEF,
	{1000}, "C3:40"},
    {hpc_mpc8548_PCI_2_OUTBOUND_IO_WRITES_VT_DEF,
	{1000}, "C4:41"},
    {hpc_mpc8548_PCI_2_OUTBOUND_CONFIG_READS_VT_DEF,
	{1000}, "C7:27"},
    {hpc_mpc8548_PCI_2_OUTBOUND_CONFIG_WRITES_VT_DEF,
	{1000}, "C8:27"},
    {hpc_mpc8548_PCI_2_INBOUND_32_BIT_READ_DATA_BEATS_VT_DEF,
	{1000}, "C1:10"},
    {hpc_mpc8548_PCI_2_INBOUND_32_BIT_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C2:18"},
    {hpc_mpc8548_PCI_2_OUTBOUND_32_BIT_READ_DATA_BEATS_VT_DEF,
	{1000}, "C3:13"},
    {hpc_mpc8548_PCI_2_OUTBOUND_32_BIT_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C4:19"},
    {hpc_mpc8548_PCI_2_TOTAL_TRANSACTIONS_VT_DEF,
	{1000}, "C7:30"},
    {hpc_mpc8548_PCI_2_INBOUND_PURGEABLE_READS_VT_DEF,
	{1000}, "C2:9"},
    {hpc_mpc8548_PCI_2_INBOUND_SPECULATIVE_READS_PURGEABLE_READS_DISCARDED_VT_DEF,
	{1000}, "C8:57"},
    {hpc_mpc8548_PCI_2_IDLE_CYCLES_VT_DEF,
	{1000}, "C1:14"},
    {hpc_mpc8548_PCI_2_DUAL_ADDRESS_CYCLES_VT_DEF,
	{1000}, "C2:16"},
    {hpc_mpc8548_PCI_2_INTERNAL_CYCLES_VT_DEF,
	{1000}, "C3:17"},
    {hpc_mpc8548_PCI_2_INBOUND_MEMORY_READ_VT_DEF,
	{1000}, "C1:11"},
    {hpc_mpc8548_PCI_2_INBOUND_MEMORY_READLINE_VT_DEF,
	{1000}, "C2:15"},
    {hpc_mpc8548_PCI_2_INBOUND_MEMORY_READ_MULTIPLE_VT_DEF,
	{1000}, "C3:16"},
    {hpc_mpc8548_PCI_2_OUTBOUND_MEMORY_READS_VT_DEF,
	{1000}, "C4:18"},
    {hpc_mpc8548_PCI_2_OUTBOUND_MEMORY_READ_LINES_VT_DEF,
	{1000}, "C5:34"},
    {hpc_mpc8548_PCI_2_WAIT_VT_DEF,
	{1000}, "C1:13"},
    {hpc_mpc8548_PCI_2_SNOOPABLE_VT_DEF,
	{1000}, "C1:12"},
    {hpc_mpc8548_PCI_2_WRITE_STASH_VT_DEF,
	{1000}, "C2:14"},
    {hpc_mpc8548_PCI_2_WRITE_STASH_WITH_LOCK_VT_DEF,
	{1000}, "C3:15"},
    {hpc_mpc8548_PCI_2_READ_UNLOCK_VT_DEF,
	{1000}, "C4:17"},
    {hpc_mpc8548_PCI_2_BYTE_ENABLE_TRANSACTIONS_VT_DEF,
	{1000}, "C1:9"},
    {hpc_mpc8548_PCI_2_NON_BYTE_ENABLE_TRANSACTIONS_VT_DEF,
	{1000}, "C2:13"},

    /* eTSEC 1 Events */
    {hpc_mpc8548_ETSEC1_DMA_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C3:45"},
    {hpc_mpc8548_ETSEC1_DMA_READ_DATA_BEATS_VT_DEF,
	{1000}, "C4:46"},
    {hpc_mpc8548_ETSEC1_DMA_WRITE_REQUEST_VT_DEF,
	{1000}, "C5:42"},
    {hpc_mpc8548_ETSEC1_DMA_READ_REQUEST_VT_DEF,
	{1000}, "C6:45"},
    {hpc_mpc8548_ETSEC1_NUMBER_OF_DROPPED_FRAMES_VT_DEF,
	{1000}, "C9:24"},
    {hpc_mpc8548_ETSEC1_TXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:34"},
    {hpc_mpc8548_ETSEC1_RXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:38"},
    {hpc_mpc8548_ETSEC1_TXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:42"},
    {hpc_mpc8548_ETSEC1_RXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:46"},
    {hpc_mpc8548_ETSEC1_READ_DATA_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:50"},
    {hpc_mpc8548_ETSEC1_RX_IP_PACKETS_CHECKED_FOR_CHECKSUM_VT_DEF,
	{1000}, "C9:28"},
    {hpc_mpc8548_ETSEC1_TX_IP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C1:41"},
    {hpc_mpc8548_ETSEC1_TX_TCP_UDP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C2:49"},
    {hpc_mpc8548_ETSEC1_TCP_UDP_PACKETS_CHECKED_FOR_CS_VT_DEF,
	{1000}, "C3:50"},
    {hpc_mpc8548_ETSEC1_IP_OR_TCP_UDP_RX_CHECKSUM_ERROR_VT_DEF,
	{1000}, "C4:51"},
    {hpc_mpc8548_ETSEC1_NUMBER_OF_REJECTED_FRAMES_BY_FILER_VT_DEF,
	{1000}, "C5:47"},
    {hpc_mpc8548_ETSEC1_NUMBER_OF_REJECTED_FRAMES_DUE_TO_FILER_ERROR_VT_DEF,
	{1000}, "C6:50"},
    {hpc_mpc8548_ETSEC1_NUMBER_OF_CYCLES_RX_FIFO_GT_1_4_FULL_VT_DEF,
	{1000}, "C5:46"},
    {hpc_mpc8548_ETSEC1_NUMBER_OF_CYCLES_RX_FIFO_GT_1_2_FULL_VT_DEF,
	{1000}, "C6:49"},
    {hpc_mpc8548_ETSEC1_NUMBER_OF_CYCLES_RX_FIFO_GT_3_4_FULL_VT_DEF,
	{1000}, "C7:46"},
    {hpc_mpc8548_ETSEC1_NUMBER_OF_CYCLES_RX_FIFO_EQ_FULL_VT_DEF,
	{1000}, "C8:46"},

    /* eTSEC 2 Events */
    {hpc_mpc8548_ETSEC2_DMA_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C5:43"},
    {hpc_mpc8548_ETSEC2_DMA_READ_DATA_BEATS_VT_DEF,
	{1000}, "C6:46"},
    {hpc_mpc8548_ETSEC2_DMA_WRITE_REQUEST_VT_DEF,
	{1000}, "C7:43"},
    {hpc_mpc8548_ETSEC2_DMA_READ_REQUEST_VT_DEF,
	{1000}, "C8:43"},
    {hpc_mpc8548_ETSEC2_NUMBER_OF_DROPPED_FRAMES_VT_DEF,
	{1000}, "C2:46"},
    {hpc_mpc8548_ETSEC2_TXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:35"},
    {hpc_mpc8548_ETSEC2_RXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:39"},
    {hpc_mpc8548_ETSEC2_TXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:43"},
    {hpc_mpc8548_ETSEC2_RXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:47"},
    {hpc_mpc8548_ETSEC2_READ_DATA_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:51"},
    {hpc_mpc8548_ETSEC2_RX_IP_PACKETS_CHECKED_FOR_CHECKSUM_VT_DEF,
	{1000}, "C3:51"},
    {hpc_mpc8548_ETSEC2_TX_IP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C4:52"},
    {hpc_mpc8548_ETSEC2_TX_TCP_UDP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C5:37"},
    {hpc_mpc8548_ETSEC2_TCP_UDP_PACKETS_CHECKED_FOR_CS_VT_DEF,
	{1000}, "C6:51"},
    {hpc_mpc8548_ETSEC2_IP_OR_TCP_UDP_RX_CHECKSUM_ERROR_VT_DEF,
	{1000}, "C7:47"},
    {hpc_mpc8548_ETSEC2_NUMBER_OF_REJECTED_FRAMES_BY_FILER_VT_DEF,
	{1000}, "C8:47"},
    {hpc_mpc8548_ETSEC2_NUMBER_OF_REJECTED_FRAMES_DUE_TO_FILER_ERROR_VT_DEF,
	{1000}, "C9:29"},
    {hpc_mpc8548_ETSEC2_NUMBER_OF_CYCLES_RX_FIFO_GT_1_4_FULL_VT_DEF,
	{1000}, "C7:49"},
    {hpc_mpc8548_ETSEC2_NUMBER_OF_CYCLES_RX_FIFO_GT_1_2_FULL_VT_DEF,
	{1000}, "C8:49"},
    {hpc_mpc8548_ETSEC2_NUMBER_OF_CYCLES_RX_FIFO_GT_3_4_FULL_VT_DEF,
	{1000}, "C9:32"},
    {hpc_mpc8548_ETSEC2_NUMBER_OF_CYCLES_RX_FIFO_EQ_FULL_VT_DEF,
	{1000}, "C1:44"},

    /* eTSEC 3 Events */
    {hpc_mpc8548_ETSEC3_DMA_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C7:44"},
    {hpc_mpc8548_ETSEC3_DMA_READ_DATA_BEATS_VT_DEF,
	{1000}, "C8:44"},
    {hpc_mpc8548_ETSEC3_DMA_WRITE_REQUEST_VT_DEF,
	{1000}, "C9:26"},
    {hpc_mpc8548_ETSEC3_DMA_READ_REQUEST_VT_DEF,
	{1000}, "C1:39"},
    {hpc_mpc8548_ETSEC3_NUMBER_OF_DROPPED_FRAMES_VT_DEF,
	{1000}, "C4:48"},
    {hpc_mpc8548_ETSEC3_TXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:36"},
    {hpc_mpc8548_ETSEC3_RXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:40"},
    {hpc_mpc8548_ETSEC3_TXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:44"},
    {hpc_mpc8548_ETSEC3_RXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:48"},
    {hpc_mpc8548_ETSEC3_READ_DATA_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:52"},
    {hpc_mpc8548_ETSEC3_RX_IP_PACKETS_CHECKED_FOR_CHECKSUM_VT_DEF,
	{1000}, "C6:52"},
    {hpc_mpc8548_ETSEC3_TX_IP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C7:48"},
    {hpc_mpc8548_ETSEC3_TX_TCP_UDP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C8:48"},
    {hpc_mpc8548_ETSEC3_TCP_UDP_PACKETS_CHECKED_FOR_CS_VT_DEF,
	{1000}, "C9:30"},
    {hpc_mpc8548_ETSEC3_IP_OR_TCP_UDP_RX_CHECKSUM_ERROR_VT_DEF,
	{1000}, "C1:42"},
    {hpc_mpc8548_ETSEC3_NUMBER_OF_REJECTED_FRAMES_BY_FILER_VT_DEF,
	{1000}, "C2:50"},
    {hpc_mpc8548_ETSEC3_NUMBER_OF_REJECTED_FRAMES_DUE_TO_FILER_ERROR_VT_DEF,
	{1000}, "C3:52"},
    {hpc_mpc8548_ETSEC3_NUMBER_OF_CYCLES_RX_FIFO_GT_1_4_FULL_VT_DEF,
	{1000}, "C9:33"},
    {hpc_mpc8548_ETSEC3_NUMBER_OF_CYCLES_RX_FIFO_GT_1_2_FULL_VT_DEF,
	{1000}, "C1:45"},
    {hpc_mpc8548_ETSEC3_NUMBER_OF_CYCLES_RX_FIFO_GT_3_4_FULL_VT_DEF,
	{1000}, "C2:52"},
    {hpc_mpc8548_ETSEC3_NUMBER_OF_CYCLES_RX_FIFO_EQ_FULL_VT_DEF,
	{1000}, "C3:54"},
    /* eTSEC 4 Events */
    {hpc_mpc8548_ETSEC4_DMA_WRITE_DATA_BEATS_VT_DEF,
	{1000}, "C9:27"},
    {hpc_mpc8548_ETSEC4_DMA_READ_DATA_BEATS_VT_DEF,
	{1000}, "C1:40"},
    {hpc_mpc8548_ETSEC4_DMA_WRITE_REQUEST_VT_DEF,
	{1000}, "C2:48"},
    {hpc_mpc8548_ETSEC4_DMA_READ_REQUEST_VT_DEF,
	{1000}, "C3:48"},
    {hpc_mpc8548_ETSEC4_NUMBER_OF_DROPPED_FRAMES_VT_DEF,
	{1000}, "C6:40"},
    {hpc_mpc8548_ETSEC4_TXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:37"},
    {hpc_mpc8548_ETSEC4_RXBD_READ_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:41"},
    {hpc_mpc8548_ETSEC4_TXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:45"},
    {hpc_mpc8548_ETSEC4_RXBD_WRITE_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:49"},
    {hpc_mpc8548_ETSEC4_READ_DATA_LIFETIME_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:53"},
    {hpc_mpc8548_ETSEC4_RX_IP_PACKETS_CHECKED_FOR_CHECKSUM_VT_DEF,
	{1000}, "C9:31"},
    {hpc_mpc8548_ETSEC4_TX_IP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C1:43"},
    {hpc_mpc8548_ETSEC4_TX_TCP_UDP_PACKET_WITH_CHECKSUM_VT_DEF,
	{1000}, "C2:51"},
    {hpc_mpc8548_ETSEC4_TCP_UDP_PACKETS_CHECKED_FOR_CS_VT_DEF,
	{1000}, "C3:53"},
    {hpc_mpc8548_ETSEC4_IP_OR_TCP_UDP_RX_CHECKSUM_ERROR_VT_DEF,
	{1000}, "C4:53"},
    {hpc_mpc8548_ETSEC4_NUMBER_OF_REJECTED_FRAMES_BY_FILER_VT_DEF,
	{1000}, "C5:38"},
    {hpc_mpc8548_ETSEC4_NUMBER_OF_REJECTED_FRAMES_DUE_TO_FILER_ERROR_VT_DEF,
	{1000}, "C6:42"},
    {hpc_mpc8548_ETSEC4_NUMBER_OF_CYCLES_RX_FIFO_GT_1_4_FULL_VT_DEF,
	{1000}, "C8:40"},
    {hpc_mpc8548_ETSEC4_NUMBER_OF_CYCLES_RX_FIFO_GT_1_2_FULL_VT_DEF,
	{1000}, "C9:34"},
    {hpc_mpc8548_ETSEC4_NUMBER_OF_CYCLES_RX_FIFO_GT_3_4_FULL_VT_DEF,
	{1000}, "C1:46"},
    {hpc_mpc8548_ETSEC4_NUMBER_OF_CYCLES_RX_FIFO_EQ_FULL_VT_DEF,
	{1000}, "C2:53"},

    /* PCI Express to OCeaN Gasket Events */
    {hpc_mpc8548_INBOUND_G2PI_READ_VT_DEF,
	{1000}, "C8:55"},
    {hpc_mpc8548_INBOUND_G2PI_WRITE_VT_DEF,
	{1000}, "C9:37"},
    {hpc_mpc8548_INBOUND_G2PI_DATA_VT_DEF,
	{1000}, "C5:60"},
    {hpc_mpc8548_OUTBOUND_G2PI_READ_VT_DEF,
	{1000}, "C6:62"},
    {hpc_mpc8548_OUTBOUND_G2PI_WRITE_VT_DEF,
	{1000}, "C7:61"},
    {hpc_mpc8548_OUTBOUND_G2PI_DATA_VT_DEF,
	{1000}, "C8:60"},
    {hpc_mpc8548_INBOUND_STATIC_QUEUE_0_START_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:54"},
    {hpc_mpc8548_OUTBOUND_STATIC_QUEUE_0_START_DURATION_THRESHOLD_VT_DEF,
	{1000}, "Ref1:55"},
    /* Serial RapidIO Events */
    {hpc_mpc8548_INBOUND_PACKET_ACCEPTED_VT_DEF,
	{1000}, "C1:60"},
    {hpc_mpc8548_INBOUND_PRIORITY_0_PACKET_ACCEPTED_VT_DEF,
	{1000}, "C2:62"},
    {hpc_mpc8548_INBOUND_NON_IDLES_RECEIVED_VT_DEF,
	{1000}, "C4:62"},
    {hpc_mpc8548_INBOUND_PACKET_RETRY_OCCURRED_VT_DEF,
	{1000}, "C5:19"},
    {hpc_mpc8548_SER_RAP_IO_INBOUND_BUFFER_IS_FULL_VT_DEF,
	{1000}, "C6:21"},
    {hpc_mpc8548_INBOUND_BUFFER_IS_FULL_TO_PRIORITY_0_VT_DEF,
	{1000}, "C7:59"},
    {hpc_mpc8548_OUTBOUND_NON_IDLES_TRANSMITTED_VT_DEF,
	{1000}, "Ref1:59"},
    {hpc_mpc8548_OUTBOUND_PACKET_SENT_TO_RAPIDIO_INTERFACE_VT_DEF,
	{1000}, "C2:63"},
    {hpc_mpc8548_OUTBOUND_PACKET_WAS_MISALIGNED_VT_DEF,
	{1000}, "C4:12"},
    {hpc_mpc8548_OUTBOUND_PACKET_WAS_RETRIED_VT_DEF,
	{1000}, "C5:20"},
    {hpc_mpc8548_OUTBOUND_PACKET_WAS_REORDERED_VT_DEF,
	{1000}, "C6:9"},
    {hpc_mpc8548_OUTBOUND_PACKET_SENT_TO_RIO_OF_PRIORITY_0_VT_DEF,
	{1000}, "C7:60"},
    {hpc_mpc8548_OUTBOUND_BUFFER_IS_FULL_VT_DEF,
	{1000}, "C8:59"},
    {hpc_mpc8548_OUTBOUND_BUFFER_IS_FULL_TO_PRIORITY_0_VT_DEF,
	{1000}, "C9:39"},

    /* RapidIO Message Unit Events */
    {hpc_mpc8548_INBOUND_PACKET_RECEIVED_VT_DEF,
	{1000}, "Ref1:60"},
    {hpc_mpc8548_INBOUND_PRIORITY_0_PACKET_RECEIVED_VT_DEF,
	{1000}, "C5:13"},
    {hpc_mpc8548_RAP_IO_MU_INBOUND_BUFFER_IS_FULL_VT_DEF,
	{1000}, "C6:8"},
    {hpc_mpc8548_INBOUND_BUFFER_IS_FULL_FOR_PRIORITY_0_VT_DEF,
	{1000}, "C7:8"},
    {hpc_mpc8548_PACKET_SENT_TO_OCEAN_VT_DEF,
	{1000}, "C8:38"},
    {hpc_mpc8548_PACKET_SENT_TO_OCEAN_OF_PRIORITY_0_VT_DEF,
	{1000}, "C9:41"},

    /* Protocol Converter Events */
    {hpc_mpc8548_PEX_SYMBOL_GAIN_OF_1_WHEN_SKP_DETECTED_VT_DEF,
	{1000}, "C2:54"},
    {hpc_mpc8548_PEX_SYMBOL_GAIN_OF_2_WHEN_SKP_DETECTED_VT_DEF,
	{1000}, "C3:31"},
    {hpc_mpc8548_PEX_SYMBOL_GAIN_OF_3_WHEN_SKP_DETECTED_VT_DEF,
	{1000}, "C4:59"},
    {hpc_mpc8548_PEX_SYMBOL_LOSS_OF_1_WHEN_SKP_DETECTED_VT_DEF,
	{1000}, "C5:54"},
    {hpc_mpc8548_PEX_SYMBOL_LOSS_OF_2_WHEN_SKP_DETECTED_VT_DEF,
	{1000}, "C6:59"},
    {hpc_mpc8548_PEX_SYMBOL_LOSS_OF_3_WHEN_SKP_DETECTED_VT_DEF,
	{1000}, "C7:55"},
    {hpc_mpc8548_PEX_SYMBOL_DISPARITY_ERROR_VT_DEF,
	{1000}, "C8:53"},
    {hpc_mpc8548_PEX_SYMBOL_DECODE_ERROR_VT_DEF,
	{1000}, "C9:35"},

    /* Local Bus Events */
    {hpc_mpc8548_BANK_1_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C1:51"},
    {hpc_mpc8548_BANK_2_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C2:56"},
    {hpc_mpc8548_BANK_3_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C3:55"},
    {hpc_mpc8548_BANK_4_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C4:54"},
    {hpc_mpc8548_BANK_5_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C5:48"},
    {hpc_mpc8548_BANK_6_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C6:53"},
    {hpc_mpc8548_BANK_7_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C7:50"},
    {hpc_mpc8548_BANK_8_HITS_CHIP_SELECT_VT_DEF,
	{1000}, "C8:50"},
    {hpc_mpc8548_REQUESTS_GRANTED_TO_ECM_PORT_VT_DEF,
	{1000}, "C2:57"},
    {hpc_mpc8548_CYCLES_ATOMIC_RESERVATION_FOR_ECM_PORT_IS_ENABLED_VT_DEF,
	{1000}, "C4:55"},
    {hpc_mpc8548_ATOMIC_RESERVATION_TIME_OUTS_FOR_ECM_PORT_VT_DEF,
	{1000}, "C6:54"},
    {hpc_mpc8548_CYCLES_A_READ_IS_TAKING_IN_GPCM_VT_DEF,
	{1000}, "C1:53"},
    {hpc_mpc8548_CYCLES_A_READ_IS_TAKING_IN_UPM_VT_DEF,
	{1000}, "C2:58"},
    {hpc_mpc8548_CYCLES_A_READ_IS_TAKING_IN_SDRAM_VT_DEF,
	{1000}, "C3:57"},
    {hpc_mpc8548_CYCLES_A_WRITE_IS_TAKING_IN_GPCM_VT_DEF,
	{1000}, "C4:56"},
    {hpc_mpc8548_CYCLES_A_WRITE_IS_TAKING_IN_UPM_VT_DEF,
	{1000}, "C5:50"},
    {hpc_mpc8548_CYCLES_A_WRITE_IS_TAKING_IN_SDRAM_VT_DEF,
	{1000}, "C6:55"},
    {hpc_mpc8548_SDRAM_BANK_MISSES_VT_DEF,
	{1000}, "C7:51"},
    {hpc_mpc8548_SDRAM_PAGE_MISSES_VT_DEF,
	{1000}, "C8:51"},

    /* L2 Cache/SRAM Events */
    {hpc_mpc8548_CORE_INSTRUCTION_ACCESSES_TO_L2_THAT_HIT_VT_DEF,
	{1000}, "Ref1:22"},
    {hpc_mpc8548_CORE_INSTRUCTION_ACCESSES_TO_L2_THAT_MISS_VT_DEF,
	{1000}, "C2:59"},
    {hpc_mpc8548_CORE_DATA_ACCESSES_TO_L2_THAT_HIT_VT_DEF,
	{1000}, "Ref1:23"},
    {hpc_mpc8548_CORE_DATA_ACCESSES_TO_L2_THAT_MISS_VT_DEF,
	{1000}, "C4:57"},
    {hpc_mpc8548_NON_CORE_BURST_WRITE_TO_L2_CACHE_EXTERNAL_WRITE_OR_SRAM_VT_DEF,
	{1000}, "C5:51"},
    {hpc_mpc8548_NON_CORE_NON_BURST_WRITE_TO_L2_VT_DEF,
	{1000}, "C6:56"},
    {hpc_mpc8548_NON_CORE_WRITE_MISSES_CACHE_EXTERNAL_WRITE_WINDOW_AND_SRAM_MEMORY_RANGE_VT_DEF,
	{1000}, "C7:52"},
    {hpc_mpc8548_NON_CORE_READ_HIT_IN_L2_VT_DEF,
	{1000}, "Ref1:24"},
    {hpc_mpc8548_NON_CORE_READ_MISS_IN_L2_VT_DEF,
	{1000}, "C1:54"},
    {hpc_mpc8548_L2_ALLOCATES_FROM_ANY_SOURCE_VT_DEF,
	{1000}, "Ref1:25"},
    {hpc_mpc8548_L2_RETRIES_DUE_TO_FULL_WRITE_QUEUE_VT_DEF,
	{1000}, "C2:60"},
    {hpc_mpc8548_L2_RETRIES_DUE_TO_ADDRESS_COLLISION_VT_DEF,
	{1000}, "C3:58"},
    {hpc_mpc8548_L2_FAILED_LOCK_ATTEMPTS_DUE_TO_FULL_SET_VT_DEF,
	{1000}, "C4:58"},
    {hpc_mpc8548_L2_VICTIMIZATIONS_OF_VALID_LINES_VT_DEF,
	{1000}, "C5:52"},
    {hpc_mpc8548_L2_INVALIDATIONS_OF_LINES_VT_DEF,
	{1000}, "C6:57"},
    {hpc_mpc8548_L2_CLEARING_OF_LOCKS_VT_DEF,
	{1000}, "C7:53"},

    /* Debug Events */
    {hpc_mpc8548_EXTERNAL_EVENT_VT_DEF,
	{1000}, "C3:61"},
    {hpc_mpc8548_WATCHPOINT_MONITOR_HITS_VT_DEF,
	{1000}, "C2:61"},
    {hpc_mpc8548_TRACE_BUFFER_HITS_VT_DEF,
	{1000}, "C1:58"},

    /* DUART Events */
    {hpc_mpc8548_UART0_BAUD_RATE_VT_DEF,
	{1000}, "C1:63"},
    {hpc_mpc8548_UART1_BAUD_RATE_VT_DEF,
	{1000}, "C5:63"}};

const unsigned int hpcMpc8548NumEvents = CAFE_NELEMENTS(hpcDrvEvtDescMpc8548);

struct driverInstE500 hpcHwDrvMpc8548 =
    {
    "MPC8548 Device Events",
    0,
    NUM_COUNTERS,
    COUNTER_SIZE_MASK,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL,
    NULL
    };
