# hpc.mk - Analysis HPC specific configuration
#
# Copyright (c) 2010-2012, 2014 Wind River Systems, Inc.
#
# The right to copy, distribute, modify or otherwise make use
# of this software may be licensed only pursuant to the terms
# of an applicable Wind River license agreement.
#
#
#
# modification history
# --------------------
# 28mar14,wzc  support arm hpc(US17715)
# 20jan14,sdt  Added history
#
# DESCRIPTION
# This file implements the HPC component configuration as dictated
# by the current feature set (included before this fragment).
#

vpath %.c $(CORE_PATH)/hpc/src \
		$(CORE_PATH)/hpc/src/hpc_drv \
		$(CORE_PATH)/hpc/src/hpc_drv/i86 \
		$(CORE_PATH)/hpc/src/hpc_drv/ppc \
		$(CORE_PATH)/hpc/src/hpc_drv/arm \
		$(CORE_PATH)/hpc/src/drv_evt_cfg/i86 \
		$(CORE_PATH)/hpc/src/drv_evt_cfg/ppc \
		$(CORE_PATH)/hpc/src/drv_evt_cfg/arm

vpath %.s $(CORE_PATH)/hpc/src/drv_evt_cfg/i86

EXTRA_INCLUDE += -I$(COMP_CAFE_PATH)/$(CORE_PATH)/hpc/include

# Variables to refer to target directory has changed in VxWorks 7.0
ifeq ($(WIND_BUILD_TOOL),)
include $(TGT_DIR)/h/tool/$(TOOL_FAMILY)/make.$(CPU)$(TOOL)
else
include $(WIND_KRNL_MK)/defs.toolfamily.mk
include $(WIND_BUILD_TOOL)/$(TOOL_VERSION)/krnl/defs.$(CPU).mk
endif

OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/hpc_drv/*.c)))

ifeq ($(VX_CPU_FAMILY),pentium)
OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/hpc_drv/i86/*.c)))
OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/drv_evt_cfg/i86/*.c)))
OBJS_runtime_analysis_hpc += $(patsubst %.s, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/drv_evt_cfg/i86/*.s)))
endif

ifeq ($(VX_CPU_FAMILY),ppc)
OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/hpc_drv/ppc/*.c)))
OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/drv_evt_cfg/ppc/*.c)))
endif

ifeq ($(VX_CPU_FAMILY),arm)
OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/hpc_drv/arm/*.c)))
OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/drv_evt_cfg/arm/*.c)))
endif

OBJS_runtime_analysis_hpc += $(patsubst %.c, %.o, $(notdir $(wildcard $(CORE_PATH)/hpc/src/*.c)))

LIB_BASE_NAMES += runtime_analysis_hpc
