/* Copyright (c) 2010-2013 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

#ifndef INChpc_event_processor_private_h
#define INChpc_event_processor_private_h

#include <cafe/stdbool.h>

#ifdef __cplusplus
extern "C" {
#endif


struct hpc_virt_counter;
struct hpc_inst_item;

struct hpc_test_funcs {
	int (*init_vc_list)(void);
	int (*finit_vc_list)(bool force_cleanup);
	struct hpc_virt_counter *(*alloc_vc)(void);
	int (*free_vc)(struct hpc_virt_counter *vc);
	unsigned int (*get_num_vc_free)(void);
	unsigned int (*get_num_vc_alloc)(void);
	void (*sizeof_hw_data_set)(size_t sizeof_hw_data);
	void (*num_vc_per_block_set)(int num_vc_per_block);
	void (*init_config_list)(void);
	int (*finit_config_list)(bool force_cleanup);
	struct hpc_inst_item *(*alloc_cfg)(void);
	int (*free_cfg)(struct hpc_inst_item *inst);
	HPC_COUNTER (*get_skipcount)(struct cafe_value_type *type);
};

extern struct hpc_test_funcs hpc_test;

#ifdef __cplusplus
}
#endif
#endif /* INChpc_event_processor_private_h */
