/* Copyright (c) 2014 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/*
modification history
--------------------
09sep14,wzc  support arm hpc events.(US17715)
13mar14,wzc  support arm hpc(US17715)
*/

/*
DESCRIPTION
*/
#include <test/cafe_CUnitTest.h>
#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include <hpc/hpcHwDrvTest.h>
#include <hpc/drv_evt_cfg/arm/armDrvEvtCfg.h>
#include <hpc/drv_evt_cfg/arm/armCtxA8EvtCfg.h>
#include <hpc/drv_evt_cfg/arm/armDrvCfg.h>

#include "hpc_test_api.h"

static int hpc_drv_api_test_arm(void)
{
	/* clock cycles*/
	hpc_test_drv_evt[0].u.arm.evtCode = 0x11;
	hpc_test_drv_evt[0].u.arm.ctrMask = 0x80000000; /* clock counters */
	hpc_test_drv_evt[0].reload = 10000000;

	/* instruction cache miss */
	hpc_test_drv_evt[1].u.arm.evtCode = 1;
	hpc_test_drv_evt[1].u.arm.ctrMask = 0x7fffffff; /* All counters */
	hpc_test_drv_evt[1].reload = 10000;

	/* data cache miss */
	hpc_test_drv_evt[2].u.arm.evtCode = 3;
	hpc_test_drv_evt[2].u.arm.ctrMask = 0x7fffffff; /* All counters */
	hpc_test_drv_evt[2].reload = 10000;

	hpc_test_drv_num_evts = 3;
	
	CUT_ASSERT_EQUAL(OK, hpcHwArmDriverInit());
	CUT_ASSERT_EQUAL(OK, hpcCafeArmDrvCfgInit(malloc, free, 1, hpcDrvEvtDescArmCtxA8, hpcArmCtxA8NumEvents, &hpcHwDrvArmCtxA8));
	hpc_test_drv = hpcCafeArmDrvCfgGet();
	hpc_test_drv_funcs = NULL;
	CUT_RUN_SUITE_TESTS(hpc_driver_api_suite);
	CUT_ASSERT_EQUAL(OK, hpcCafeArmDrvCfgFinit(hpcCafeArmDrvCfgGet()));
	CUT_ASSERT_EQUAL(OK, hpcHwArmDriverFinit());

	return 0;
}

void hpcHwDrvApiTestArmCtxA8Init()
{
	hpc_driver_api_test_func = hpc_drv_api_test_arm;
}
