/* Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

#include <test/cafe_CUnitTest.h>
#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include <hpc/hpcHwDrvTest.h>
#include <hpc/drv_evt_cfg/ppc/e500DrvEvtCfg.h>
#include <hpc/drv_evt_cfg/ppc/e500McCoreEvtCfg.h>
#include <hpc/drv_evt_cfg/ppc/e500CoreDrvCfg.h>

#include "hpc_test_api.h"

static int num_cores;

static int hpc_drv_api_test_e500mc(void)
{
	/* Event: Com:10 */
	hpc_test_drv_evt[0].u.e500.evtCode = 10;
	hpc_test_drv_evt[0].u.e500.ctrMask = ~0; /* All counters */
	hpc_test_drv_evt[0].reload = 10000;

	/* Event: Com:1 */
	hpc_test_drv_evt[1].u.e500.evtCode = 1;
	hpc_test_drv_evt[1].u.e500.ctrMask = ~0; /* All counters */
	hpc_test_drv_evt[1].reload = 100000;
	hpc_test_drv_num_evts = 2;

	CUT_ASSERT_EQUAL(OK, hpcHwE500DriverInit());
	CUT_ASSERT_EQUAL(OK, hpcCafeE500CoreDrvCfgInit(malloc, free, num_cores, hpcEvtDescE500Mc, hpcE500McNumEvents, &hpcHwDrvE500McCore));
	hpc_test_drv = hpcCafeE500DrvCfgGet();
	hpc_test_drv_funcs = NULL;
	CUT_RUN_SUITE_TESTS(hpc_driver_api_suite);
	CUT_ASSERT_EQUAL(OK, hpcCafeE500CoreDrvCfgFinit(hpcCafeE500DrvCfgGet()));
	CUT_ASSERT_EQUAL(OK, hpcHwE500DriverFinit());

	return 0;
}

void hpcHwDrvApiTestPpcE500McInit(int cores)
{
	num_cores = cores;
	hpc_driver_api_test_func = hpc_drv_api_test_e500mc;
}
