/* Copyright (c) 2010-2011, 2014 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/*
modification history
--------------------
08jul14,sdt  Include cafe CUnitest header - WB4-3658
*/

#include <stdio.h>
#include <stdlib.h>

#include <test/cafe_CUnitTest.h>
#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include "../hpc_utils.h"

static int test_hpcGetFirstBitSet(void)
{
	int c = hpcGetFirstBitSet(0x00000001);
	CUT_ASSERT_EQUAL(0, c);

	c = hpcGetFirstBitSet(0x80000000);
	CUT_ASSERT_EQUAL(31, c);

	c = hpcGetFirstBitSet(0);
	CUT_ASSERT_EQUAL(32, c);

	c = hpcGetFirstBitSet(1 << 16);
	CUT_ASSERT_EQUAL(16, c);

	c = hpcGetFirstBitSet((1 << 20) | (1 << 21));
	CUT_ASSERT_EQUAL(20, c);

	return 0;
}

CUT_BEGIN_SUITE(hpc_driver_utils_suite)
	CUT_RUN_TEST(test_hpcGetFirstBitSet);
CUT_END_SUITE
