/* Copyright (c) 2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

#include <stdlib.h>
#include <time.h>
#include <stdio.h>
#include <string.h>
#include <hpc/hpc_drv/hpcHwDrvApi.h>
#include <hpc/hpc_ep.h>
#include "../hpc_utils.h"

static int hpcCpuIndex = 0;

int vxCpuIndexGet(void)
    {
    return hpcCpuIndex;
    }

static STATUS hpcCpuIndexSet
    (
    int cpuIndex
    )
    {
    hpcCpuIndex = cpuIndex;
    return OK;
    }

STATUS hpcExecuteOnSingleCpu
    (
    int cpu,
    STATUS (*pIter)(int, void *),
    void * pData
    )
    {
    hpcCpuIndexSet(cpu);
    (*pIter)(cpu, pData);
    return OK;
    }

STATUS hpcIterateCpus
    (
    int    numCpus,
    STATUS (*pIter)(int, void *),
    void * data
    )
    {
    int cpu;

    for (cpu = 0; cpu < numCpus; cpu++)
        {
        hpcCpuIndexSet(cpu);
        (*pIter)(cpu, data);
        }

    return OK;
    }

HPC_TASK_ID_TYPE taskIdSelf(void)
{
	return 0;
}

int intCount(void)
{
	return 0;
}

int intCpuLock(void)
{
	return 0x555;
}
void intCpuUnlock (int key)
{
	if (key != 0x555)
		printf("intCpuLock error key %d\n", key);
}

static unsigned long long test_timestamp = 0xaaaaaaaa55555555ULL;
void hpc_test_timestamp_set(unsigned long long t);

void hpc_test_timestamp_set(unsigned long long t)
{
	test_timestamp = t;
}

int cafe_vx_timestamp64(unsigned long long *t)
{
	*t = test_timestamp;
	return 0;
}

int cafe_vx_timestamp_freq64(unsigned long long *f)
{
	*f = 62500000;
	return 0;
}

STATUS hpcChkEvtPeriodTaskStart(int (*pChkEvtPeriodFunc)(void))
{
	return OK;
}

void hpcChkEvtPeriodTaskResume(void)
{
}

void hpcChkEvtPeriodTaskDelete(void)
{
}
