/*
 * Copyright (c) 2014 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use of this
 * software may be licensed only pursuant to the terms of an applicable Wind
 * River license agreement.
 */

/*
 * This file contains "define" statements that control agent configuration.
 * SERVICE_* definitions control which service implementations are included into the agent.
 */

#ifndef D_renameconfig
#define D_renameconfig

#define add_breakpoint_event_listener tcf_add_breakpoint_event_listener
#define add_channel_close_listener tcf_add_channel_close_listener
#define add_channel_create_listener tcf_add_channel_create_listener
#define add_channel_open_listener tcf_add_channel_open_listener
#define add_channel_redirection_listener tcf_add_channel_redirection_listener
#define add_cmdline_cmd tcf_add_cmdline_cmd
#define add_command_handler tcf_add_command_handler
#define add_command_handler2 tcf_add_command_handler2
#define add_context_event_listener tcf_add_context_event_listener
#define add_context_query_comparator tcf_add_context_query_comparator
#define add_event_handler tcf_add_event_handler
#define add_event_handler2 tcf_add_event_handler2
#define add_identifier_callback tcf_add_identifier_callback
#define add_memory_map_event_listener tcf_add_memory_map_event_listener
#define add_path_map_event_listener tcf_add_path_map_event_listener
#define add_registers_event_listener tcf_add_registers_event_listener
#define address_to_line tcf_address_to_line
#define add_run_control_event_listener tcf_add_run_control_event_listener
#define add_trace_mode tcf_add_trace_mode
#define add_waitpid_listener tcf_add_waitpid_listener
#define add_waitpid_process tcf_add_waitpid_process
#define apply_path_map tcf_apply_path_map
#define async_req_post tcf_async_req_post
#define become_daemon tcf_become_daemon
#define broadcast_group_alloc tcf_broadcast_group_alloc
#define broadcast_group_free tcf_broadcast_group_free
#define build_ifclist tcf_build_ifclist
#define cache_channel tcf_cache_channel
#define cache_dispose tcf_cache_dispose
#define cache_enter tcf_cache_enter
#define cache_exit tcf_cache_exit
#define cache_notify tcf_cache_notify
#define cache_notify_later tcf_cache_notify_later
#define cache_set_def_channel tcf_cache_set_def_channel
#define cache_transaction_id tcf_cache_transaction_id
#define cache_wait tcf_cache_wait
#define calc_file_name_hash tcf_calc_file_name_hash
#define calc_symbol_name_hash tcf_calc_symbol_name_hash
#define cancel_event tcf_cancel_event
#define cancel_event_loop tcf_cancel_event_loop
#define canonicalize_file_name tcf_canonicalize_file_name
#define canonic_path_map_file_name tcf_canonic_path_map_file_name
#define change_breakpoint_attributes tcf_change_breakpoint_attributes
#define change_path_mapping_attributes tcf_change_path_mapping_attributes
#define channel_clear_broadcast_group tcf_channel_clear_broadcast_group
#define channel_close tcf_channel_close
#define channel_connect tcf_channel_connect
#define channel_lock tcf_channel_lock
#define channel_lock_with_msg tcf_channel_lock_with_msg
#define channel_peer_from_url tcf_channel_peer_from_url
#define channel_peer_to_json tcf_channel_peer_to_json
#define channel_pipe_connect tcf_channel_pipe_connect
#define channel_pipe_server tcf_channel_pipe_server
#define channel_server tcf_channel_server
#define channel_set_broadcast_group tcf_channel_set_broadcast_group
#define channel_start tcf_channel_start
#define channel_tcp_connect tcf_channel_tcp_connect
#define channel_tcp_server tcf_channel_tcp_server
#define channel_unix_connect tcf_channel_unix_connect
#define channel_unix_server tcf_channel_unix_server
#define channel_unlock tcf_channel_unlock
#define channel_unlock_with_msg tcf_channel_unlock_with_msg
#define check_all_stopped tcf_check_all_stopped
#define check_breakpoints_on_memory_read tcf_check_breakpoints_on_memory_read
#define check_breakpoints_on_memory_write tcf_check_breakpoints_on_memory_write
/* #define check_error tcf_check_error */
#define clear_trap tcf_clear_trap
#define clone_breakpoints_on_process_fork tcf_clone_breakpoints_on_process_fork
#define close_out_and_err tcf_close_out_and_err
#define cmdline_resume tcf_cmdline_resume
#define cmdline_suspend tcf_cmdline_suspend
#define cmp_symbol_names tcf_cmp_symbol_names
#define compare_error_reports tcf_compare_error_reports
#define context_clear_memory_map tcf_context_clear_memory_map
#define context_extension tcf_context_extension
#define context_full_name tcf_context_full_name
#define context_lock tcf_context_lock
#define context_query tcf_context_query
#define context_state_name tcf_context_state_name
#define context_unlock tcf_context_unlock
#define continue_debug_context tcf_continue_debug_context
#define cpu_bp_get_capabilities tcf_cpu_bp_get_capabilities
#define cpu_bp_on_resume tcf_cpu_bp_on_resume
#define cpu_bp_on_suspend tcf_cpu_bp_on_suspend
#define cpu_bp_plant tcf_cpu_bp_plant
#define cpu_bp_remove tcf_cpu_bp_remove
#define cpu_disable_stepping_mode tcf_cpu_disable_stepping_mode
#define cpu_enable_stepping_mode tcf_cpu_enable_stepping_mode
#define create_breakpoint tcf_create_breakpoint
#define create_context tcf_create_context
#define create_error_report tcf_create_error_report
#define create_eventpoint tcf_create_eventpoint
#define create_eventpoint_ext tcf_create_eventpoint_ext
#define create_path_mapping tcf_create_path_mapping
#define create_uuid tcf_create_uuid
#define delete_all_path_mappings tcf_delete_all_path_mappings
#define delete_breakpoint tcf_delete_breakpoint
#define delete_path_mapping tcf_delete_path_mapping
#define destroy_eventpoint tcf_destroy_eventpoint
#define detach_debug_context tcf_detach_debug_context
#define detach_waitpid_process tcf_detach_waitpid_process
#define dio_ChkAddr tcf_dio_ChkAddr
#define dio_ChkBlock tcf_dio_ChkBlock
#define dio_ChkData tcf_dio_ChkData
#define dio_ChkFlag tcf_dio_ChkFlag
#define dio_ChkRef tcf_dio_ChkRef
#define dio_ChkString tcf_dio_ChkString
#define dio_EnterSection tcf_dio_EnterSection
#define dio_ExitSection tcf_dio_ExitSection
#define dio_GetDataPtr tcf_dio_GetDataPtr
#define dio_GetPos tcf_dio_GetPos
#define dio_LoadAbbrevTable tcf_dio_LoadAbbrevTable
#define dio_Read tcf_dio_Read
#define dio_ReadAddress tcf_dio_ReadAddress
#define dio_ReadAddressX tcf_dio_ReadAddressX
#define dio_ReadAttribute tcf_dio_ReadAttribute
#define dio_ReadEntry tcf_dio_ReadEntry
#define dio_ReadS8LEB128 tcf_dio_ReadS8LEB128
#define dio_ReadSLEB128 tcf_dio_ReadSLEB128
#define dio_ReadString tcf_dio_ReadString
/* #define dio_ReadU1 tcf_dio_ReadU1 */
#define dio_ReadU2 tcf_dio_ReadU2
#define dio_ReadU4 tcf_dio_ReadU4
#define dio_ReadU8 tcf_dio_ReadU8
#define dio_ReadU8LEB128 tcf_dio_ReadU8LEB128
#define dio_ReadULEB128 tcf_dio_ReadULEB128
#define dio_ReadUnit tcf_dio_ReadUnit
#define dio_SetPos tcf_dio_SetPos
#define dio_Skip tcf_dio_Skip
#define discovery_start tcf_discovery_start
#define discovery_start_udp tcf_discovery_start_udp
#define discovery_stop tcf_discovery_stop
#define discovery_stop_udp tcf_discovery_stop_udp
#define done_cmdline_cmd tcf_done_cmdline_cmd
#define double_to_str tcf_double_to_str
#define drl_relocate tcf_drl_relocate
#define drl_relocate_in_context tcf_drl_relocate_in_context
#define dwarf_evaluate_expression tcf_dwarf_evaluate_expression
#define dwarf_get_expression_list tcf_dwarf_get_expression_list
#define dwarf_transform_expression tcf_dwarf_transform_expression
#define elf_add_close_listener tcf_elf_add_close_listener
#define elf_find_got_entry tcf_elf_find_got_entry
#define elf_find_plt_dynsym tcf_elf_find_plt_dynsym
#define elf_find_symbol_by_address tcf_elf_find_symbol_by_address
#define elf_find_unit tcf_elf_find_unit
#define elf_get_debug_structure_address tcf_elf_get_debug_structure_address
#define elf_get_map tcf_elf_get_map
#define elf_get_plt_entry_size tcf_elf_get_plt_entry_size
#define elf_invalidate tcf_elf_invalidate
#define elf_list_done tcf_elf_list_done
#define elf_list_first tcf_elf_list_first
#define elf_list_next tcf_elf_list_next
#define elf_load tcf_elf_load
#define elf_map_to_link_time_address tcf_elf_map_to_link_time_address
#define elf_map_to_run_time_address tcf_elf_map_to_run_time_address
#define elf_next_symbol_by_address tcf_elf_next_symbol_by_address
#define elf_open tcf_elf_open
#define elf_open_inode tcf_elf_open_inode
#define elf_open_memory_region_file tcf_elf_open_memory_region_file
#define elf_prev_symbol_by_address tcf_elf_prev_symbol_by_address
#define elf_read_memory_word tcf_elf_read_memory_word
#define elf_run_time_address_in_region tcf_elf_run_time_address_in_region
#define elf_save_symbols_state tcf_elf_save_symbols_state
#define enumerate_symbols tcf_enumerate_symbols
#define errno_to_str tcf_errno_to_str
#define evaluate_breakpoint tcf_evaluate_breakpoint
#define evaluate_expression tcf_evaluate_expression
#define evaluate_location_expression tcf_evaluate_location_expression
#define evaluate_vm_expression tcf_evaluate_vm_expression
#define event_loop_cancel tcf_event_loop_cancel
#define event_loop_run tcf_event_loop_run
#define event_queue_cancel_event tcf_event_queue_cancel_event
#define event_queue_create tcf_event_queue_create
#define event_queue_destroy tcf_event_queue_destroy
#define event_queue_post_event tcf_event_queue_post_event
#define exception tcf_exception
#define find_comp_unit_addr_range tcf_find_comp_unit_addr_range
#define find_next_symbol tcf_find_next_symbol
#define find_object tcf_find_object
#define find_symbol_by_addr tcf_find_symbol_by_addr
#define find_symbol_by_name tcf_find_symbol_by_name
#define find_symbol_in_scope tcf_find_symbol_in_scope
#define find_test_symbol tcf_find_test_symbol
#define frame2id tcf_frame2id
#define generate_ssl_certificate tcf_generate_ssl_certificate
#define get_agent_id tcf_get_agent_id
#define get_array_symbol tcf_get_array_symbol
#define get_bottom_frame tcf_get_bottom_frame
#define get_break_instruction tcf_get_break_instruction
#define get_breakpoint_attributes tcf_get_breakpoint_attributes
#define get_breakpoint_status tcf_get_breakpoint_status
#define get_context_breakpoint_ids tcf_get_context_breakpoint_ids
#define get_context_isa tcf_get_context_isa
#define get_context_query_attr_name tcf_get_context_query_attr_name
#define get_dwarf_cache tcf_get_dwarf_cache
#define get_dwarf_children tcf_get_dwarf_children
#define get_dwarf_file tcf_get_dwarf_file
#define get_dwarf_parent tcf_get_dwarf_parent
#define get_dwarf_stack_frame_info tcf_get_dwarf_stack_frame_info
#define getegid tcf_getegid
#define get_error_code tcf_get_error_code
#define get_error_report tcf_get_error_report
#define geteuid tcf_geteuid
#define get_frame_info tcf_get_frame_info
#define get_funccall_info tcf_get_funccall_info
#define get_function_call_location_expression tcf_get_function_call_location_expression
#define getgid tcf_getgid
#define get_location_info tcf_get_location_info
#define get_next_frame tcf_get_next_frame
#define get_next_stack_frame tcf_get_next_stack_frame
#define get_numeric_property_value tcf_get_numeric_property_value
#define get_os_name tcf_get_os_name
#define get_path_mapping_attributes tcf_get_path_mapping_attributes
#define get_PC_definition tcf_get_PC_definition
#define get_prev_frame tcf_get_prev_frame
#define get_process_exit_code tcf_get_process_exit_code
#define get_process_out_state tcf_get_process_out_state
#define get_process_pid tcf_get_process_pid
#define get_process_stream_id tcf_get_process_stream_id
#define get_process_tty tcf_get_process_tty
#define get_reg_by_id tcf_get_reg_by_id
#define get_reg_definitions tcf_get_reg_definitions
#define get_regs_PC tcf_get_regs_PC
#define get_service_manager_id tcf_get_service_manager_id
#define get_signal_from_code tcf_get_signal_from_code
#define get_stack_tracing_info tcf_get_stack_tracing_info
#define get_symbol_address tcf_get_symbol_address
#define get_symbol_base_type tcf_get_symbol_base_type
#define get_symbol_children tcf_get_symbol_children
#define get_symbol_class tcf_get_symbol_class
#define get_symbol_container tcf_get_symbol_container
#define get_symbol_file_name tcf_get_symbol_file_name
#define get_symbol_flags tcf_get_symbol_flags
#define get_symbol_frame tcf_get_symbol_frame
#define get_symbol_index_type tcf_get_symbol_index_type
#define get_symbol_length tcf_get_symbol_length
#define get_symbol_lower_bound tcf_get_symbol_lower_bound
#define get_symbol_name tcf_get_symbol_name
#define get_symbol_offset tcf_get_symbol_offset
#define get_symbol_register tcf_get_symbol_register
#define get_symbol_size tcf_get_symbol_size
#define get_symbol_type tcf_get_symbol_type
#define get_symbol_type_class tcf_get_symbol_type_class
#define get_symbol_update_policy tcf_get_symbol_update_policy
#define get_symbol_value tcf_get_symbol_value
#define get_tls_address tcf_get_tls_address
#define get_top_frame tcf_get_top_frame
#define getuid tcf_getuid
#define get_user_home tcf_get_user_home
#define get_user_name tcf_get_user_name
#define handle_protocol_message tcf_handle_protocol_message
#define ibuf_flush tcf_ibuf_flush
#define ibuf_get_more tcf_ibuf_get_more
#define ibuf_init tcf_ibuf_init
#define ibuf_read_done tcf_ibuf_read_done
#define ibuf_start_message tcf_ibuf_start_message
#define ibuf_trigger_read tcf_ibuf_trigger_read
#define id2ctx tcf_id2ctx
#define id2frame tcf_id2frame
#define id2pid tcf_id2pid
#define id2register tcf_id2register
#define id2symbol tcf_id2symbol
#define ini_asyncreq tcf_ini_asyncreq
#define ini_breakpoints_service tcf_ini_breakpoints_service
#define ini_cmdline_handler tcf_ini_cmdline_handler
#define ini_context_query_service tcf_ini_context_query_service
#define ini_contexts tcf_ini_contexts
#define ini_cpudefs tcf_ini_cpudefs
#define ini_cpudefs_mdep tcf_ini_cpudefs_mdep
#define ini_cpu_disassembler tcf_ini_cpu_disassembler
#define ini_diagnostics_service tcf_ini_diagnostics_service
#define ini_elf tcf_ini_elf
#define ini_events_queue tcf_ini_events_queue
#define ini_expressions_service tcf_ini_expressions_service
#define ini_file_system_service tcf_ini_file_system_service
#define ini_line_numbers_lib tcf_ini_line_numbers_lib
#define ini_locator_service tcf_ini_locator_service
#define ini_mdep tcf_ini_mdep
#define ini_memory_map_service tcf_ini_memory_map_service
#define ini_memory_service tcf_ini_memory_service
#define ini_path_map_service tcf_ini_path_map_service
#define ini_processes_service tcf_ini_processes_service
#define ini_registers_service tcf_ini_registers_service
#define ini_run_ctrl_service tcf_ini_run_ctrl_service
#define ini_server tcf_ini_server
#define ini_services tcf_ini_services
#define ini_stack_trace_service tcf_ini_stack_trace_service
#define ini_symbols_lib tcf_ini_symbols_lib
#define ini_sys_mon_service tcf_ini_sys_mon_service
#define ini_trace tcf_ini_trace
#define is_absolute_path tcf_is_absolute_path
#define is_all_stopped tcf_is_all_stopped
#define is_breakpoint_address tcf_is_breakpoint_address
#define is_channel_closed tcf_is_channel_closed
#define is_daemon tcf_is_daemon
#define is_dispatch_thread tcf_is_dispatch_thread
#define is_event_queue_thread tcf_is_event_queue_thread
#define is_intercepted tcf_is_intercepted
#define is_plt_section tcf_is_plt_section
#define is_safe_event tcf_is_safe_event
#define is_skipping_breakpoint tcf_is_skipping_breakpoint
#define is_test_process tcf_is_test_process
#define is_timed_event_queue_thread tcf_is_timed_event_queue_thread
#define is_top_frame tcf_is_top_frame
#define iterate_breakpoints tcf_iterate_breakpoints
#define iterate_context_breakpoint_links tcf_iterate_context_breakpoint_links
#define iterate_path_map_rules tcf_iterate_path_map_rules
#define json_peek tcf_json_peek
#define json_read_alloc_binary tcf_json_read_alloc_binary
#define json_read_alloc_string tcf_json_read_alloc_string
#define json_read_alloc_string_array tcf_json_read_alloc_string_array
#define json_read_array tcf_json_read_array
#define json_read_binary_data tcf_json_read_binary_data
#define json_read_binary_end tcf_json_read_binary_end
#define json_read_binary_start tcf_json_read_binary_start
#define json_read_boolean tcf_json_read_boolean
#define json_read_double tcf_json_read_double
#define json_read_int64 tcf_json_read_int64
#define json_read_long tcf_json_read_long
#define json_read_object tcf_json_read_object
#define json_read_string tcf_json_read_string
#define json_read_struct tcf_json_read_struct
#define json_read_uint64 tcf_json_read_uint64
#define json_read_ulong tcf_json_read_ulong
#define json_skip_object tcf_json_skip_object
#define json_splice_binary tcf_json_splice_binary
#define json_splice_binary_offset tcf_json_splice_binary_offset
#define json_test_char tcf_json_test_char
#define json_write_binary tcf_json_write_binary
#define json_write_binary_data tcf_json_write_binary_data
#define json_write_binary_end tcf_json_write_binary_end
#define json_write_binary_start tcf_json_write_binary_start
#define json_write_boolean tcf_json_write_boolean
#define json_write_char tcf_json_write_char
#define json_write_double tcf_json_write_double
#define json_write_int64 tcf_json_write_int64
#define json_write_long tcf_json_write_long
#define json_write_string tcf_json_write_string
#define json_write_string_len tcf_json_write_string_len
#define json_write_uint64 tcf_json_write_uint64
#define json_write_ulong tcf_json_write_ulong
#define line_to_address tcf_line_to_address
#define load_line_numbers tcf_load_line_numbers
#define loc_freeaddrinfo tcf_loc_freeaddrinfo
#define loc_gai_strerror tcf_loc_gai_strerror
#define loc_getaddrinfo tcf_loc_getaddrinfo
#define memory_map_event_code_section_ummapped tcf_memory_map_event_code_section_ummapped
#define memory_map_event_mapping_changed tcf_memory_map_event_mapping_changed
#define memory_map_event_module_loaded tcf_memory_map_event_module_loaded
#define memory_map_event_module_unloaded tcf_memory_map_event_module_unloaded
#define memory_map_get tcf_memory_map_get
#define notify_channel_closed tcf_notify_channel_closed
#define notify_channel_created tcf_notify_channel_created
#define notify_channel_opened tcf_notify_channel_opened
#define open_log_file tcf_open_log_file
#define open_script_file tcf_open_script_file
#define output_queue_add tcf_output_queue_add
#define output_queue_clear tcf_output_queue_clear
#define output_queue_done tcf_output_queue_done
#define output_queue_ini tcf_output_queue_ini
#define parse_context_query tcf_parse_context_query
#define parse_trace_mode tcf_parse_trace_mode
#define peer_server_add tcf_peer_server_add
#define peer_server_add_listener tcf_peer_server_add_listener
#define peer_server_addprop tcf_peer_server_addprop
#define peer_server_alloc tcf_peer_server_alloc
#define peer_server_find tcf_peer_server_find
#define peer_server_free tcf_peer_server_free
#define peer_server_getprop tcf_peer_server_getprop
#define peer_server_iter tcf_peer_server_iter
#define peer_server_remove tcf_peer_server_remove
#define pid2id tcf_pid2id
#define post_event tcf_post_event
#define post_event_with_delay tcf_post_event_with_delay
#define post_safe_event tcf_post_safe_event
#define pread tcf_pread
#define print_trace tcf_print_trace
#define protocol_alloc tcf_protocol_alloc
#define protocol_cancel_command tcf_protocol_cancel_command
#define protocol_get_service tcf_protocol_get_service
#define protocol_reference tcf_protocol_reference
#define protocol_release tcf_protocol_release
#define protocol_send_command tcf_protocol_send_command
#define protocol_send_command_with_progress tcf_protocol_send_command_with_progress
#define proxy_create tcf_proxy_create
#define proxy_get_host_channel tcf_proxy_get_host_channel
#define proxy_get_target_channel tcf_proxy_get_target_channel
#define pwrite tcf_pwrite
#define read_and_evaluate_dwarf_object_property tcf_read_and_evaluate_dwarf_object_property
#define read_base64 tcf_read_base64
#define read_dwarf_object_property tcf_read_dwarf_object_property
#define read_errno tcf_read_errno
#define read_location_pieces tcf_read_location_pieces
#define read_reg_bytes tcf_read_reg_bytes
#define read_reg_value tcf_read_reg_value
#define register2id tcf_register2id
#define release_error_report tcf_release_error_report
#define rem_breakpoint_event_listener tcf_rem_breakpoint_event_listener
#define rem_path_map_event_listener tcf_rem_path_map_event_listener
#define rem_run_control_event_listener tcf_rem_run_control_event_listener
#define run_context_query tcf_run_context_query
#define run_context_query_ext tcf_run_context_query_ext
#define run_ctrl_lock tcf_run_ctrl_lock
#define run_ctrl_unlock tcf_run_ctrl_unlock
#define run_event_loop tcf_run_event_loop
#define safe_context_single_step tcf_safe_context_single_step
#define send_context_changed_event tcf_send_context_changed_event
#define send_context_created_event tcf_send_context_created_event
#define send_context_exited_event tcf_send_context_exited_event
#define send_context_started_event tcf_send_context_started_event
#define send_context_stopped_event tcf_send_context_stopped_event
#define send_event_memory_changed tcf_send_event_memory_changed
#define send_event_register_changed tcf_send_event_register_changed
#define send_event_register_definitions_changed tcf_send_event_register_definitions_changed
#define send_hello_message tcf_send_hello_message
#define send_redirect_command_by_id tcf_send_redirect_command_by_id
#define send_redirect_command_by_props tcf_send_redirect_command_by_props
#define set_default_message_handler tcf_set_default_message_handler
#define set_default_message_handler2 tcf_set_default_message_handler2
#define set_errno tcf_set_errno
#define set_error_report_errno tcf_set_error_report_errno
#define set_fmt_errno tcf_set_fmt_errno
#define set_gai_errno tcf_set_gai_errno
#define set_path_map tcf_set_path_map
#define set_proxy_log_filter_listener tcf_set_proxy_log_filter_listener
#define set_regs_PC tcf_set_regs_PC
#define set_single_command tcf_set_single_command
#define set_trap_a tcf_set_trap_a
#define set_trap_b tcf_set_trap_b
#define set_value tcf_set_value
#define shutdown_set_normal tcf_shutdown_set_normal
#define shutdown_set_stopped tcf_shutdown_set_stopped
#define shutdown_start tcf_shutdown_start
#define signal_cnt tcf_signal_cnt
#define signal_code tcf_signal_code
#define signal_description tcf_signal_description
#define signal_name tcf_signal_name
#define sigset_clear tcf_sigset_clear
#define sigset_copy tcf_sigset_copy
#define sigset_get tcf_sigset_get
#define sigset_get_next tcf_sigset_get_next
#define sigset_is_empty tcf_sigset_is_empty
#define sigset_set tcf_sigset_set
#define skip_breakpoint tcf_skip_breakpoint
#define start_process tcf_start_process
#define start_process_send_exited_event tcf_start_process_send_exited_event
#define start_process_send_reply tcf_start_process_send_reply
#define str_exception tcf_str_exception
#define str_fmt_exception tcf_str_fmt_exception
#define str_to_double tcf_str_to_double
#define suspend_debug_context tcf_suspend_debug_context
#define swap_bytes tcf_swap_bytes
#define symbol2id tcf_symbol2id
#define terminate_debug_context tcf_terminate_debug_context
#define test_process_done tcf_test_process_done
#define timed_event_loop_cancel tcf_timed_event_loop_cancel
#define timed_event_loop_run tcf_timed_event_loop_run
#define timed_event_queue_cancel_event tcf_timed_event_queue_cancel_event
#define timed_event_queue_destroy tcf_timed_event_queue_destroy
#define timed_event_queue_init tcf_timed_event_queue_init
#define timed_event_queue_post_event tcf_timed_event_queue_post_event
#define truncate tcf_truncate
#define unpack_elf_symbol_info tcf_unpack_elf_symbol_info
#define unplant_breakpoints tcf_unplant_breakpoints
#define usleep tcf_usleep
#define value_to_address tcf_value_to_address
#define value_to_boolean tcf_value_to_boolean
#define value_to_double tcf_value_to_double
#define value_to_signed tcf_value_to_signed
#define value_to_unsigned tcf_value_to_unsigned
#define write_base64 tcf_write_base64
#define write_errno tcf_write_errno
#define write_error_object tcf_write_error_object
#define write_location_pieces tcf_write_location_pieces
#define write_reg_bytes tcf_write_reg_bytes
#define write_reg_value tcf_write_reg_value
#define write_service_error tcf_write_service_error

#endif /* D_renameconfig */
