/* Dynamic String Buffer */

/*
 * Copyright (c) 2011,2012 Wind River Systems, Inc.
 *
 * The right to copy, distribute, modify or otherwise make use
 * of this software may be licensed only pursuant to the terms
 * of an applicable Wind River license agreement.
 */

#ifndef INCstrbuf_h
#define INCstrbuf_h

#include <stdlib.h>
#include <stdarg.h>
#include <cafe/byte_buffer.h>

#ifdef __cplusplus
extern "C" {
#endif


extern char strbuf_ephemeral[1];

#define STRBUF_INIT(A) { strbuf_ephemeral, 0, 0, (A) }

#ifdef __GNUC__
int strbuf_fmt(struct cafe_byte_buffer *strbuf, const char *fmt, ...) __attribute__((format(printf, 2, 3)));
#endif

extern void strbuf_init(struct cafe_byte_buffer *strbuf,
			const struct cafe_allocator *allocator);
extern void strbuf_release(struct cafe_byte_buffer *strbuf);
extern char *strbuf_steal(struct cafe_byte_buffer *strbuf);
extern void strbuf_reset(struct cafe_byte_buffer *strbuf);
extern int strbuf_fmt(struct cafe_byte_buffer *strbuf, const char *fmt, ...);
extern int strbuf_vfmt(struct cafe_byte_buffer *strbuf, const char *fmt,
		       va_list ap);
extern int strbuf_addc(struct cafe_byte_buffer *strbuf, int c);


#ifdef __cplusplus
}
#endif	/* __cplusplus */

#endif	/* INCstrbuf_h */
