/* Copyright (c) 2010 Wind River Systems, Inc.
 *
 * The right to copy, distribute or otherwise make use of this software
 * may be licensed only pursuant to the terms of an applicable Wind River
 * license agreement.
 */

/* Cafe error messages */

#include <cafe/cafe.h>

static const char *const cafe_errmsg[] = {
	/*  0 */ "success",
	/*  1 */ "logic error",
	/*  2 */ "out of memory",
	/*  3 */ "invalid value type string",
	/*  4 */ "namespace not found",
	/*  5 */ "namespace already exists",
	/*  6 */ "session busy",
	/*  7 */ "invalid initializer",
	/*  8 */ "invalid state",
	/*  9 */ "invalid contribution",
	/* 10 */ "invalid connection",
	/* 11 */ "unresolved value type",
	/* 12 */ "redeclaration of incompatible value type",
	/* 13 */ "stale event action list handle",
	/* 14 */ "too many references to event action list handle",
	/* 15 */ "event action list table is full",
	/* 16 */ "uninitialized value",
	/* 17 */ "syntax error",
	/* 18 */ "stack overflow",
	/* 19 */ "type mismatch",
	/* 20 */ "timestamp not running",
	/* 21 */ "resource unavailable"
};

const char *cafe_strerror(int errnum)
{
	if (errnum < 0 || errnum >= CAFE_NELEMENTS(cafe_errmsg)) {
		return "unknown error";
	}

	return cafe_errmsg[errnum];
}
